---
title: SingleColumnLayout
---

---

title: SingleColumnLayout

---

# SingleColumnLayout

Component for use as Layout to be filled with the rest of the Components.

## Props

| Name                        | Description                                                                 | Type                       | Default                                      |
| --------------------------- | --------------------------------------------------------------------------- | -------------------------- | -------------------------------------------- |
| <code>asideAnimation</code> | The animation used for the Main Aside.                                      | <code>AnimationProp</code> | <code>() => animateTranslate('right')</code> |
| <code>devMode</code>        | Enables the devMode, which shows the available slots to use with its names. | <code>boolean</code>       | <code></code>                                |

## Slots

| Name                     | Description                                                        | Bindings<br />(name - type - description) |
| ------------------------ | ------------------------------------------------------------------ | ----------------------------------------- |
| <code>header</code>      | Slot that is used to insert content into the Header.               | None                                      |
| <code>sub-header</code>  | Slot that can be used to insert content into the Sub Header.       | None                                      |
| <code>toolbar</code>     | Slot that can be used to insert content into the Toolbar.          | None                                      |
| <code>predictive</code>  | Slot that can be used to insert content into the Predictive Layer. | None                                      |
| <code>main</code>        | Slot that can be used to insert content into the Main.             | None                                      |
| <code>floating</code>    | Slot that can be used to insert content into the Floating.         | None                                      |
| <code>footer</code>      | Slot that can be used to insert content into the Footer.           | None                                      |
| <code>aside</code>       | Slot that can be used to insert content into the Aside.            | None                                      |
| <code>extra-aside</code> |                                                                    | None                                      |
