---

title: ItemsList

---

# ItemsList

It renders a list of ListItem providing a slot for each `slotName` which depends on
the `modelName`of the item.

## Props

| Name                   | Description                                                | Type                       | Default           |
| ---------------------- | ---------------------------------------------------------- | -------------------------- | ----------------- |
| <code>animation</code> | Animation component that will be used to animate the list. | <code>AnimationProp</code> | <code>'ul'</code> |
| <code>items</code>     | List of items.                                             | <code>ListItem[]</code>    | <code></code>     |
| <code>itemClass</code> | Item's classes.                                            | <code>string</code>        | <code></code>     |

## Slots

| Name                       | Description            | Bindings<br />(name - type - description)         |
| -------------------------- | ---------------------- | ------------------------------------------------- |
| <code>item.slotName</code> | Custom item to render. | **item** <code>ListItem</code> - Item data.<br /> |
