import { defineComponent } from 'vue';

/**
 * Renders a transition wrapping the element passed in the default slot. The transition
 * fades between the two toggled elements at the same time.
 *
 * @public
 */
var _sfc_main = defineComponent({
    name: 'CrossFade',
    props: {
        /**
         * Indicates if the transition must be applied on the initial render of the node.
         */
        appear: {
            type: Boolean,
            default: true,
        },
    },
});

export { _sfc_main as default };
//# sourceMappingURL=cross-fade.vue2.js.map
