import { defineComponent } from 'vue';

/**
 * Renders a transition wrapping the element passed in the default slot. The animation just fades
 * in/out the element by changing its opacity.
 *
 * @public
 */
var _sfc_main = defineComponent({
    name: 'Fade',
    props: {
        /** Indicates if the transition must be applied on the initial render of the node. */
        appear: {
            type: Boolean,
            default: true,
        },
    },
});

export { _sfc_main as default };
//# sourceMappingURL=fade.vue2.js.map
