import _sfc_main from './base-variable-column-grid.vue2.js';
import { resolveComponent, openBlock, createBlock, createSlots, renderList, withCtx, renderSlot, normalizeProps, guardReactiveProps } from 'vue';
import _export_sfc from '../_virtual/_plugin-vue_export-helper.js';

function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_BaseGrid = resolveComponent("BaseGrid");
  return openBlock(), createBlock(_component_BaseGrid, {
    animation: _ctx.animation,
    columns: _ctx.columnsToRender,
    items: _ctx.items
  }, createSlots({
    _: 2
    /* DYNAMIC */
  }, [
    renderList(_ctx.slots, (_, name) => {
      return {
        name,
        fn: withCtx(({ item }) => [
          renderSlot(_ctx.$slots, name, normalizeProps(guardReactiveProps({ item })))
        ])
      };
    })
  ]), 1032, ["animation", "columns", "items"]);
}
var baseVariableColumnGrid = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);

export { baseVariableColumnGrid as default };
//# sourceMappingURL=base-variable-column-grid.vue.js.map
