import _sfc_main from './base-column-picker-list.vue2.js';
import { resolveComponent, openBlock, createElementBlock, Fragment, renderList, createVNode, normalizeClass, withCtx, renderSlot, mergeProps, createTextVNode, toDisplayString, createCommentVNode } from 'vue';
import _export_sfc from '../../_virtual/_plugin-vue_export-helper.js';

const _hoisted_1 = {
  class: "x-column-picker-list x-button-group",
  "data-test": "column-picker-list",
  role: "list"
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_BaseEventButton = resolveComponent("BaseEventButton");
  return openBlock(), createElementBlock("div", _hoisted_1, [
    (openBlock(true), createElementBlock(
      Fragment,
      null,
      renderList(_ctx.columnsWithCssClasses, ({ column, cssClasses, events, isSelected }, index) => {
        return openBlock(), createElementBlock(
          Fragment,
          { key: column },
          [
            createVNode(_component_BaseEventButton, {
              class: normalizeClass(["x-column-picker-list__button x-button", [_ctx.buttonClass, cssClasses]]),
              "data-test": "column-picker-button",
              "aria-pressed": isSelected.toString(),
              events,
              "aria-label": `${column} columns`,
              role: "listitem"
            }, {
              default: withCtx(() => [
                renderSlot(_ctx.$slots, "default", mergeProps({ ref_for: true }, { column, isSelected }), () => [
                  createTextVNode(
                    toDisplayString(column),
                    1
                    /* TEXT */
                  )
                ])
              ]),
              _: 2
              /* DYNAMIC */
            }, 1032, ["class", "aria-pressed", "events", "aria-label"]),
            index !== _ctx.columnsWithCssClasses.length - 1 ? renderSlot(_ctx.$slots, "divider", { key: 0 }) : createCommentVNode("v-if", true)
          ],
          64
          /* STABLE_FRAGMENT */
        );
      }),
      128
      /* KEYED_FRAGMENT */
    ))
  ]);
}
var baseColumnPickerList = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);

export { baseColumnPickerList as default };
//# sourceMappingURL=base-column-picker-list.vue.js.map
