import _sfc_main from './fixed-header-and-asides-layout.vue2.js';
import { resolveComponent, openBlock, createBlock, withCtx, createVNode, normalizeClass, createElementVNode, createElementBlock, renderSlot, createCommentVNode } from 'vue';
import './fixed-header-and-asides-layout.vue3.js';
import _export_sfc from '../../_virtual/_plugin-vue_export-helper.js';

const _hoisted_1 = {
  key: "header",
  class: "x-layout__header x-list x-list--horizontal"
};
const _hoisted_2 = {
  key: 0,
  class: "slot-helper"
};
const _hoisted_3 = {
  key: "sub-header",
  class: "x-layout__sub-header"
};
const _hoisted_4 = { class: "x-layout__sub-header-content" };
const _hoisted_5 = {
  key: 0,
  class: "slot-helper"
};
const _hoisted_6 = {
  key: "toolbar",
  class: "x-layout__toolbar"
};
const _hoisted_7 = {
  key: 0,
  class: "slot-helper"
};
const _hoisted_8 = {
  key: "main",
  class: "x-layout__main x-list x-list--vertical"
};
const _hoisted_9 = {
  key: 0,
  class: "slot-helper"
};
const _hoisted_10 = {
  key: 0,
  class: "slot-helper"
};
const _hoisted_11 = {
  key: 0,
  class: "slot-helper"
};
const _hoisted_12 = {
  key: 0,
  class: "slot-helper"
};
const _hoisted_13 = {
  key: "scroll-to-top",
  class: "x-layout__scroll-to-top"
};
const _hoisted_14 = {
  key: 0,
  class: "slot-helper"
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_BaseIdModal = resolveComponent("BaseIdModal");
  const _component_Scroll = resolveComponent("Scroll");
  const _component_MainScroll = resolveComponent("MainScroll");
  return openBlock(), createBlock(_component_MainScroll, null, {
    default: withCtx(() => [
      createVNode(_component_Scroll, {
        id: "main-scroll",
        class: normalizeClass(["x-layout x-layout--fixed-header-and-asides", { "dev-mode": _ctx.devMode }]),
        onScroll: _ctx.setPosition
      }, {
        default: withCtx(() => [
          createElementVNode(
            "div",
            {
              key: "header-backdrop",
              class: normalizeClass(["x-layout__header-backdrop", { "x-layout__header-backdrop--is-visible": _ctx.isBackdropVisible }])
            },
            null,
            2
            /* CLASS */
          ),
          _ctx.devMode || _ctx.$slots.header ? (openBlock(), createElementBlock("header", _hoisted_1, [
            renderSlot(_ctx.$slots, "header", {}, () => [
              _ctx.devMode ? (openBlock(), createElementBlock("span", _hoisted_2, "HEADER")) : createCommentVNode("v-if", true)
            ], true)
          ])) : createCommentVNode("v-if", true),
          _ctx.devMode || _ctx.$slots["sub-header"] ? (openBlock(), createElementBlock("div", _hoisted_3, [
            createElementVNode("div", _hoisted_4, [
              renderSlot(_ctx.$slots, "sub-header", {}, () => [
                _ctx.devMode ? (openBlock(), createElementBlock("span", _hoisted_5, "SUB HEADER")) : createCommentVNode("v-if", true)
              ], true)
            ])
          ])) : createCommentVNode("v-if", true),
          _ctx.devMode || _ctx.$slots.toolbar ? (openBlock(), createElementBlock("section", _hoisted_6, [
            renderSlot(_ctx.$slots, "toolbar", {}, () => [
              _ctx.devMode ? (openBlock(), createElementBlock("span", _hoisted_7, "TOOLBAR")) : createCommentVNode("v-if", true)
            ], true)
          ])) : createCommentVNode("v-if", true),
          _ctx.devMode || _ctx.$slots.main ? (openBlock(), createElementBlock("main", _hoisted_8, [
            renderSlot(_ctx.$slots, "main", {}, () => [
              _ctx.devMode ? (openBlock(), createElementBlock("span", _hoisted_9, "MAIN")) : createCommentVNode("v-if", true)
            ], true)
          ])) : createCommentVNode("v-if", true),
          _ctx.devMode || _ctx.$slots["left-aside"] ? (openBlock(), createBlock(_component_BaseIdModal, {
            key: "left-aside",
            animation: _ctx.leftAsideAnimation,
            "modal-id": "left-aside",
            class: "x-layout__aside x-layout__aside--left"
          }, {
            default: withCtx(() => [
              renderSlot(_ctx.$slots, "left-aside", {}, () => [
                _ctx.devMode ? (openBlock(), createElementBlock("span", _hoisted_10, "LEFT ASIDE")) : createCommentVNode("v-if", true)
              ], true)
            ]),
            _: 3
            /* FORWARDED */
          }, 8, ["animation"])) : createCommentVNode("v-if", true),
          _ctx.devMode || _ctx.$slots["right-aside"] ? (openBlock(), createBlock(_component_BaseIdModal, {
            key: "right-aside",
            animation: _ctx.rightAsideAnimation,
            "modal-id": "right-aside",
            class: "x-layout__aside x-layout__aside--right"
          }, {
            default: withCtx(() => [
              renderSlot(_ctx.$slots, "right-aside", {}, () => [
                _ctx.devMode ? (openBlock(), createElementBlock("span", _hoisted_11, "RIGHT ASIDE")) : createCommentVNode("v-if", true)
              ], true)
            ]),
            _: 3
            /* FORWARDED */
          }, 8, ["animation"])) : createCommentVNode("v-if", true),
          renderSlot(_ctx.$slots, "extra-aside", {}, () => [
            _ctx.devMode ? (openBlock(), createElementBlock("span", _hoisted_12, "EXTRA ASIDE")) : createCommentVNode("v-if", true)
          ], true),
          _ctx.devMode || _ctx.$slots["scroll-to-top"] ? (openBlock(), createElementBlock("div", _hoisted_13, [
            renderSlot(_ctx.$slots, "scroll-to-top", {}, () => [
              _ctx.devMode ? (openBlock(), createElementBlock("span", _hoisted_14, "SCROLL TO TOP")) : createCommentVNode("v-if", true)
            ], true)
          ])) : createCommentVNode("v-if", true)
        ]),
        _: 3
        /* FORWARDED */
      }, 8, ["class", "onScroll"])
    ]),
    _: 3
    /* FORWARDED */
  });
}
var fixedHeaderAndAsidesLayout = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-d5a25402"]]);

export { fixedHeaderAndAsidesLayout as default };
//# sourceMappingURL=fixed-header-and-asides-layout.vue.js.map
