import _sfc_main from './base-events-modal.vue2.js';
import { resolveComponent, openBlock, createBlock, withCtx, renderSlot } from 'vue';
import _export_sfc from '../../_virtual/_plugin-vue_export-helper.js';

function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_BaseModal = resolveComponent("BaseModal");
  return openBlock(), createBlock(_component_BaseModal, {
    ref: "baseModalEl",
    animation: _ctx.animation,
    open: _ctx.isOpen,
    "onClick:overlay": _ctx.emitBodyClickEvent,
    "onFocusin:body": _ctx.emitBodyClickEvent
  }, {
    default: withCtx(() => [
      renderSlot(_ctx.$slots, "default")
    ]),
    _: 3
    /* FORWARDED */
  }, 8, ["animation", "open", "onClick:overlay", "onFocusin:body"]);
}
var BaseEventsModal = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);

export { BaseEventsModal as default };
//# sourceMappingURL=base-events-modal.vue.js.map
