import _sfc_main from './main-modal.vue2.js';
import { resolveComponent, openBlock, createBlock, withCtx, renderSlot } from 'vue';
import _export_sfc from '../../_virtual/_plugin-vue_export-helper.js';

function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_BaseEventsModal = resolveComponent("BaseEventsModal");
  return openBlock(), createBlock(_component_BaseEventsModal, {
    class: "x-main-modal",
    "data-test": "main-modal",
    "events-to-open-modal": _ctx.openEvents,
    "events-to-close-modal": _ctx.closeEvents,
    "body-click-event": _ctx.outOfModalClickEvent,
    animation: _ctx.animation,
    "focus-on-open": _ctx.focusOnOpen
  }, {
    default: withCtx(() => [
      renderSlot(_ctx.$slots, "default")
    ]),
    _: 3
    /* FORWARDED */
  }, 8, ["events-to-open-modal", "events-to-close-modal", "body-click-event", "animation", "focus-on-open"]);
}
var mainModal = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);

export { mainModal as default };
//# sourceMappingURL=main-modal.vue.js.map
