import _sfc_main from './page-loader-button.vue2.js';
import { resolveComponent, openBlock, createElementBlock, renderSlot, normalizeProps, guardReactiveProps, createElementVNode, toDisplayString, createVNode, normalizeClass, withCtx, createTextVNode } from 'vue';
import './page-loader-button.vue3.js';
import _export_sfc from '../_virtual/_plugin-vue_export-helper.js';

const _hoisted_1 = {
  class: "x-page-loader",
  "data-test": "page-loader"
};
const _hoisted_2 = {
  class: "x-page-loader__text-content",
  "data-test": "text-content"
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_BaseEventButton = resolveComponent("BaseEventButton");
  return openBlock(), createElementBlock("div", _hoisted_1, [
    renderSlot(_ctx.$slots, "default", normalizeProps(guardReactiveProps({ resultsLength: _ctx.resultsLength, totalResults: _ctx.totalResults })), () => [
      renderSlot(_ctx.$slots, "textContent", {
        resultsLength: _ctx.resultsLength,
        totalResults: _ctx.totalResults
      }, () => [
        createElementVNode(
          "p",
          _hoisted_2,
          " You are seeing " + toDisplayString(_ctx.resultsLength) + " of " + toDisplayString(_ctx.totalResults) + " results ",
          1
          /* TEXT */
        )
      ], true),
      createVNode(_component_BaseEventButton, {
        class: normalizeClass(["x-button", _ctx.buttonClasses]),
        events: _ctx.events,
        "data-test": "load-content",
        "aria-label": "Load"
      }, {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "buttonContent", {}, () => [
            createTextVNode("Load")
          ], true)
        ]),
        _: 3
        /* FORWARDED */
      }, 8, ["class", "events"])
    ], true)
  ]);
}
var pageLoaderButton = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-1e62f4ee"]]);

export { pageLoaderButton as default };
//# sourceMappingURL=page-loader-button.vue.js.map
