import _sfc_main from './base-header-toggle-panel.vue2.js';
import { resolveComponent, openBlock, createElementBlock, renderSlot, normalizeProps, guardReactiveProps, createElementVNode, normalizeClass, createVNode, withCtx } from 'vue';
import './base-header-toggle-panel.vue3.js';
import _export_sfc from '../../_virtual/_plugin-vue_export-helper.js';

const _hoisted_1 = { class: "x-header-toggle-panel" };
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_BaseTogglePanel = resolveComponent("BaseTogglePanel");
  return openBlock(), createElementBlock("div", _hoisted_1, [
    renderSlot(_ctx.$slots, "header", normalizeProps(guardReactiveProps({ toggleOpen: _ctx.toggleOpen, open: _ctx.open })), () => [
      createElementVNode(
        "button",
        {
          class: normalizeClass(["x-header-toggle-panel__header", _ctx.headerClass]),
          "data-test": "toggle-panel-header",
          onClick: _cache[0] || (_cache[0] = (...args) => _ctx.toggleOpen && _ctx.toggleOpen(...args))
        },
        [
          renderSlot(_ctx.$slots, "header-content", normalizeProps(guardReactiveProps({ open: _ctx.open })), void 0, true)
        ],
        2
        /* CLASS */
      )
    ], true),
    createVNode(_component_BaseTogglePanel, {
      open: _ctx.open,
      animation: _ctx.animation
    }, {
      default: withCtx(() => [
        renderSlot(_ctx.$slots, "default", {}, void 0, true)
      ]),
      _: 3
      /* FORWARDED */
    }, 8, ["open", "animation"])
  ]);
}
var baseHeaderTogglePanel = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-42c1f271"]]);

export { baseHeaderTogglePanel as default };
//# sourceMappingURL=base-header-toggle-panel.vue.js.map
