import _sfc_main from './base-result-rating.vue2.js';
import { resolveComponent, openBlock, createBlock, resolveDynamicComponent, withCtx, renderSlot, createVNode, mergeProps, createCommentVNode } from 'vue';
import './base-result-rating.vue3.js';
import _export_sfc from '../../_virtual/_plugin-vue_export-helper.js';

function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_BaseRating = resolveComponent("BaseRating");
  return _ctx.result.rating && _ctx.result.rating.value ? (openBlock(), createBlock(resolveDynamicComponent(_ctx.link ? "a" : "div"), {
    key: 0,
    ref: _ctx.el,
    href: _ctx.link,
    class: "x-result-rating",
    "data-test": "result-rating",
    onClick: _ctx.emitClickedEvent
  }, {
    default: withCtx(() => [
      renderSlot(_ctx.$slots, "default", {
        rating: _ctx.result.rating.value,
        result: _ctx.result
      }, () => [
        createVNode(_component_BaseRating, mergeProps({
          value: _ctx.result.rating.value
        }, _ctx.$attrs), {
          "empty-icon": withCtx(() => [
            renderSlot(_ctx.$slots, "empty-icon", {}, void 0, true)
          ]),
          "filled-icon": withCtx(() => [
            renderSlot(_ctx.$slots, "filled-icon", {}, void 0, true)
          ]),
          _: 3
          /* FORWARDED */
        }, 16, ["value"])
      ], true)
    ]),
    _: 3
    /* FORWARDED */
  }, 8, ["href", "onClick"])) : createCommentVNode("v-if", true);
}
var baseResultRating = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-3b457066"]]);

export { baseResultRating as default };
//# sourceMappingURL=base-result-rating.vue.js.map
