import _sfc_main from './result-variant-selector.vue2.js';
import { openBlock, createElementBlock, Fragment, renderList, normalizeClass, renderSlot, createElementVNode, createTextVNode, toDisplayString, createCommentVNode } from 'vue';
import './result-variant-selector.vue3.js';
import _export_sfc from '../../_virtual/_plugin-vue_export-helper.js';

const _hoisted_1 = {
  key: 0,
  class: "x-result-variant-selector__list",
  "data-test": "variants-list"
};
const _hoisted_2 = ["onClick"];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return _ctx.result && _ctx.variants ? (openBlock(), createElementBlock("ul", _hoisted_1, [
    (openBlock(true), createElementBlock(
      Fragment,
      null,
      renderList(_ctx.variants, (variant, index) => {
        return openBlock(), createElementBlock(
          "li",
          {
            key: index,
            class: normalizeClass(["x-result-variant-selector__item", { "x-result-variant-selector__item--is-selected": _ctx.variantIsSelected(variant) }]),
            "data-test": "variant-item"
          },
          [
            renderSlot(_ctx.$slots, "variant", {
              variant,
              isSelected: _ctx.variantIsSelected(variant),
              selectVariant: () => _ctx.selectVariant(variant)
            }, () => [
              createElementVNode("button", {
                "data-test": "variant-button",
                class: "x-button",
                onClick: ($event) => _ctx.selectVariant(variant)
              }, [
                renderSlot(_ctx.$slots, "variant-content", {
                  variant,
                  isSelected: _ctx.variantIsSelected(variant)
                }, () => [
                  createTextVNode(
                    toDisplayString(variant),
                    1
                    /* TEXT */
                  )
                ], true)
              ], 8, _hoisted_2)
            ], true)
          ],
          2
          /* CLASS */
        );
      }),
      128
      /* KEYED_FRAGMENT */
    ))
  ])) : createCommentVNode("v-if", true);
}
var resultVariantSelector = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-004fb86a"]]);

export { resultVariantSelector as default };
//# sourceMappingURL=result-variant-selector.vue.js.map
