import _sfc_main from './base-suggestions.vue2.js';
import { openBlock, createBlock, resolveDynamicComponent, withCtx, createElementBlock, Fragment, renderList, normalizeClass, renderSlot, mergeProps, createCommentVNode } from 'vue';
import './base-suggestions.vue3.js';
import _export_sfc from '../../_virtual/_plugin-vue_export-helper.js';

function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return _ctx.suggestions.length ? (openBlock(), createBlock(resolveDynamicComponent(_ctx.animation), {
    key: 0,
    tag: "ul",
    class: "x-suggestions"
  }, {
    default: withCtx(() => [
      (openBlock(true), createElementBlock(
        Fragment,
        null,
        renderList(_ctx.suggestionsToRender, (suggestion, index) => {
          return openBlock(), createElementBlock(
            "li",
            {
              key: _ctx.suggestionsKeys[index],
              class: normalizeClass(["x-suggestions__item", _ctx.suggestionItemClass]),
              "data-test": "suggestion-item"
            },
            [
              renderSlot(_ctx.$slots, "default", mergeProps({ ref_for: true }, { suggestion, index, filter: _ctx.getSuggestionFilter(suggestion) }), void 0, true)
            ],
            2
            /* CLASS */
          );
        }),
        128
        /* KEYED_FRAGMENT */
      ))
    ]),
    _: 3
    /* FORWARDED */
  })) : createCommentVNode("v-if", true);
}
var BaseSuggestions = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-60a55deb"]]);

export { BaseSuggestions as default };
//# sourceMappingURL=base-suggestions.vue.js.map
