import { setConfig, mergeConfig } from '../../../store/utils/config-store.utils.js';

/**
 * {@link XStoreModule} For the empathize module.
 *
 * @internal
 */
const empathizeXStoreModule = {
    state: () => ({
        config: {},
        isOpen: false,
    }),
    getters: {},
    mutations: {
        setIsOpen(state, isOpen) {
            state.isOpen = isOpen;
        },
        setConfig,
        mergeConfig,
    },
    actions: {},
};

export { empathizeXStoreModule };
//# sourceMappingURL=module.js.map
