import _sfc_main from './clear-filters.vue2.js';
import { resolveComponent, openBlock, createBlock, normalizeClass, withCtx, renderSlot, createTextVNode, toDisplayString, createCommentVNode } from 'vue';
import _export_sfc from '../../../_virtual/_plugin-vue_export-helper.js';

function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_BaseEventButton = resolveComponent("BaseEventButton");
  return _ctx.isVisible ? (openBlock(), createBlock(_component_BaseEventButton, {
    key: 0,
    class: normalizeClass(["x-clear-filters x-button", _ctx.cssClasses]),
    "data-test": "clear-filters",
    disabled: !_ctx.hasSelectedFilters,
    events: _ctx.events
  }, {
    default: withCtx(() => [
      renderSlot(_ctx.$slots, "default", { selectedFilters: _ctx.selectedFilters }, () => [
        createTextVNode(
          "Clear Filters (" + toDisplayString(_ctx.selectedFilters.length) + ")",
          1
          /* TEXT */
        )
      ])
    ]),
    _: 3
    /* FORWARDED */
  }, 8, ["disabled", "events", "class"])) : createCommentVNode("v-if", true);
}
var clearFilters = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);

export { clearFilters as default };
//# sourceMappingURL=clear-filters.vue.js.map
