import _sfc_main from './facets.vue2.js';
import { openBlock, createBlock, resolveDynamicComponent, withCtx, createElementBlock, Fragment, renderList, renderSlot, mergeProps, createTextVNode, toDisplayString, createCommentVNode } from 'vue';
import './facets.vue3.js';
import _export_sfc from '../../../../_virtual/_plugin-vue_export-helper.js';

function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return _ctx.hasFacets ? (openBlock(), createBlock(resolveDynamicComponent(_ctx.animation), {
    key: 0,
    class: "x-facets-list",
    "data-test": "facets",
    tag: "ul"
  }, {
    default: withCtx(() => [
      (openBlock(true), createElementBlock(
        Fragment,
        null,
        renderList(_ctx.mappedFacets, ({ facet, slotNameById, slotNameByModelName }, facetId) => {
          return openBlock(), createElementBlock("li", {
            key: facetId,
            class: "x-facets-list__item",
            "data-test": "facets-facet"
          }, [
            _ctx.hasSlot(slotNameById) ? renderSlot(_ctx.$slots, slotNameById, mergeProps({
              key: 0,
              ref_for: true
            }, {
              facet,
              selectedFilters: _ctx.selectedFiltersByFacet[facetId] || []
            }), void 0, true) : _ctx.hasSlot(slotNameByModelName) ? renderSlot(_ctx.$slots, slotNameByModelName, mergeProps({
              key: 1,
              ref_for: true
            }, {
              facet,
              selectedFilters: _ctx.selectedFiltersByFacet[facetId] || []
            }), void 0, true) : renderSlot(_ctx.$slots, "default", mergeProps({
              key: 2,
              ref_for: true
            }, {
              facet,
              selectedFilters: _ctx.selectedFiltersByFacet[facetId] || []
            }), () => [
              createTextVNode(
                " This is the " + toDisplayString(facet.label) + " facet. Pass something into its slot to display content. ",
                1
                /* TEXT */
              )
            ], true)
          ]);
        }),
        128
        /* KEYED_FRAGMENT */
      ))
    ]),
    _: 3
    /* FORWARDED */
  })) : createCommentVNode("v-if", true);
}
var facets = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-ec0aa26c"]]);

export { facets as default };
//# sourceMappingURL=facets.vue.js.map
