import _sfc_main from './editable-number-range-filter.vue2.js';
import { openBlock, createElementBlock, normalizeClass, renderSlot, normalizeProps, guardReactiveProps, createElementVNode, createTextVNode, createCommentVNode } from 'vue';
import './editable-number-range-filter.vue3.js';
import _export_sfc from '../../../../_virtual/_plugin-vue_export-helper.js';

const _hoisted_1 = ["value", "aria-label"];
const _hoisted_2 = ["value", "aria-label"];
const _hoisted_3 = ["disabled"];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock(
    "div",
    {
      class: normalizeClass(["x-editable-number-range-filter", _ctx.cssClasses]),
      "data-test": "editable-number-range-filter"
    },
    [
      renderSlot(_ctx.$slots, "default", normalizeProps(guardReactiveProps({
        min: _ctx.min,
        max: _ctx.max,
        setMin: _ctx.setMin,
        setMax: _ctx.setMax,
        emitUserModifiedFilter: _ctx.emitUserModifiedFilter,
        clearValues: _ctx.clearValues,
        hasError: _ctx.hasError,
        isAnyRange: _ctx.isAnyRange
      })), () => [
        createElementVNode("input", {
          name: "min",
          type: "number",
          class: normalizeClass(["x-editable-number-range-filter__input x-editable-number-range-filter__input--min x-input", _ctx.inputsClass]),
          value: !_ctx.isAnyRange ? _ctx.min : null,
          "data-test": "range-min",
          "aria-label": _ctx.rangeFilterMin,
          onChange: _cache[0] || (_cache[0] = ($event) => _ctx.setMin($event.target.valueAsNumber))
        }, null, 42, _hoisted_1),
        createElementVNode("input", {
          name: "max",
          type: "number",
          class: normalizeClass(["x-editable-number-range-filter__input x-editable-number-range-filter__input--max x-input", _ctx.inputsClass]),
          value: _ctx.max,
          "data-test": "range-max",
          "aria-label": _ctx.rangeFilterMax,
          onChange: _cache[1] || (_cache[1] = ($event) => _ctx.setMax($event.target.valueAsNumber))
        }, null, 42, _hoisted_2),
        !_ctx.isInstant ? (openBlock(), createElementBlock("button", {
          key: 0,
          class: normalizeClass(["x-editable-number-range-filter__apply x-button", _ctx.buttonsClass]),
          disabled: _ctx.hasError,
          "data-test": "range-apply",
          onClick: _cache[2] || (_cache[2] = (...args) => _ctx.emitUserModifiedFilter && _ctx.emitUserModifiedFilter(...args))
        }, [
          renderSlot(_ctx.$slots, "apply-content", {}, () => [
            createTextVNode("\u2713")
          ], true)
        ], 10, _hoisted_3)) : createCommentVNode("v-if", true),
        _ctx.renderClearButton ? (openBlock(), createElementBlock(
          "button",
          {
            key: 1,
            class: normalizeClass(["x-editable-number-range-filter__clear x-button", _ctx.buttonsClass]),
            "data-test": "range-clear",
            onClick: _cache[3] || (_cache[3] = (...args) => _ctx.clearValues && _ctx.clearValues(...args))
          },
          [
            renderSlot(_ctx.$slots, "clear-content", {}, () => [
              createTextVNode("\u{10102}")
            ], true)
          ],
          2
          /* CLASS */
        )) : createCommentVNode("v-if", true)
      ], true)
    ],
    2
    /* CLASS */
  );
}
var editableNumberRangeFilter = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-b0178d47"]]);

export { editableNumberRangeFilter as default };
//# sourceMappingURL=editable-number-range-filter.vue.js.map
