import _sfc_main from './number-range-filter.vue2.js';
import { resolveComponent, openBlock, createBlock, withCtx, renderSlot, normalizeProps, guardReactiveProps, createElementVNode, mergeProps, createTextVNode, toDisplayString } from 'vue';
import _export_sfc from '../../../../_virtual/_plugin-vue_export-helper.js';

const _hoisted_1 = ["aria-checked", "disabled", "onClick"];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_RenderlessFilter = resolveComponent("RenderlessFilter");
  return openBlock(), createBlock(_component_RenderlessFilter, {
    "css-classes": _ctx.innerCssClasses,
    "click-events": _ctx.innerClickEvents,
    filter: _ctx.filter
  }, {
    default: withCtx(({ filter: filterBinding, clickFilter, cssClasses: cssClassesBinding, isDisabled }) => [
      renderSlot(_ctx.$slots, "default", normalizeProps(guardReactiveProps({
        filter: filterBinding,
        clickFilter,
        cssClasses: cssClassesBinding,
        isDisabled
      })), () => [
        createElementVNode("button", mergeProps({
          "aria-checked": filterBinding.selected.toString(),
          class: cssClassesBinding,
          disabled: isDisabled,
          "data-test": "filter",
          role: "checkbox"
        }, _ctx.$attrs, { onClick: clickFilter }), [
          renderSlot(_ctx.$slots, "label", { filter: _ctx.filter }, () => [
            createTextVNode(
              toDisplayString(filterBinding.label),
              1
              /* TEXT */
            )
          ])
        ], 16, _hoisted_1)
      ])
    ]),
    _: 3
    /* FORWARDED */
  }, 8, ["css-classes", "click-events", "filter"]);
}
var numberRangeFilter = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);

export { numberRangeFilter as default };
//# sourceMappingURL=number-range-filter.vue.js.map
