import _sfc_main from './clear-history-queries.vue2.js';
import { resolveComponent, openBlock, createBlock, normalizeClass, withCtx, renderSlot, createTextVNode } from 'vue';
import _export_sfc from '../../../_virtual/_plugin-vue_export-helper.js';

function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_BaseEventButton = resolveComponent("BaseEventButton");
  return openBlock(), createBlock(_component_BaseEventButton, {
    class: normalizeClass(["x-clear-history-queries x-button", _ctx.dynamicClasses]),
    disabled: _ctx.isHistoryQueriesEmpty,
    events: _ctx.clearHistoryQueriesEvents,
    "data-test": "clear-history-queries",
    "aria-label": "Clear all"
  }, {
    default: withCtx(() => [
      renderSlot(_ctx.$slots, "default", {}, () => [
        createTextVNode("\u2715")
      ])
    ]),
    _: 3
    /* FORWARDED */
  }, 8, ["class", "disabled", "events"]);
}
var clearHistoryQueries = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);

export { clearHistoryQueries as default };
//# sourceMappingURL=clear-history-queries.vue.js.map
