import _sfc_main from './history-queries.vue2.js';
import { resolveComponent, openBlock, createBlock, withCtx, renderSlot, normalizeProps, guardReactiveProps, createVNode } from 'vue';
import _export_sfc from '../../../_virtual/_plugin-vue_export-helper.js';

function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_HistoryQuery = resolveComponent("HistoryQuery");
  const _component_BaseSuggestions = resolveComponent("BaseSuggestions");
  return openBlock(), createBlock(_component_BaseSuggestions, {
    suggestions: _ctx.historyQueriesWithResults,
    class: "x-history-queries",
    "data-test": "history-queries"
  }, {
    default: withCtx((baseScope) => [
      renderSlot(_ctx.$slots, "suggestion", normalizeProps(guardReactiveProps({ ...baseScope })), () => [
        createVNode(_component_HistoryQuery, {
          suggestion: baseScope.suggestion,
          "data-test": "history-query-item",
          class: "x-history-queries__item",
          "suggestion-class": "x-suggestion"
        }, {
          default: withCtx((historyQueryScope) => [
            renderSlot(_ctx.$slots, "suggestion-content", normalizeProps(guardReactiveProps({ ...baseScope, ...historyQueryScope })))
          ]),
          "remove-button-content": withCtx((removeHistoryQueryScope) => [
            renderSlot(_ctx.$slots, "suggestion-remove-content", normalizeProps(guardReactiveProps({ ...baseScope, ...removeHistoryQueryScope })))
          ]),
          _: 2
          /* DYNAMIC */
        }, 1032, ["suggestion"])
      ])
    ]),
    _: 3
    /* FORWARDED */
  }, 8, ["suggestions"]);
}
var historyQueries = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);

export { historyQueries as default };
//# sourceMappingURL=history-queries.vue.js.map
