import { normalizeString } from '../../../../utils/normalize.js';

/**
 * Default implementation for the {@link HistoryQueriesGetters.normalizedQuery} getter.
 *
 * @param state - Current {@link https://vuex.vuejs.org/guide/state.html | state} of the history
 * queries module.
 * @param state.query - query state.
 *
 * @returns The normalized query.
 *
 * @public
 */
const normalizedQuery = ({ query, }) => normalizeString(query);

export { normalizedQuery };
//# sourceMappingURL=normalized-query.getter.js.map
