import { HISTORY_QUERIES_STORAGE_KEY } from '../constants.js';

/**
 * Default implementation for the {@link HistoryQueriesGetters.storageKey} getter.
 *
 * @returns The key for retrieving and saving the history queries int the browser storage.
 * @public
 */
const storageKey = () => {
    return HISTORY_QUERIES_STORAGE_KEY;
};

export { storageKey };
//# sourceMappingURL=storage-key.getter.js.map
