import _sfc_main from './next-queries.vue2.js';
import { resolveComponent, openBlock, createBlock, withCtx, renderSlot, normalizeProps, guardReactiveProps, createVNode } from 'vue';
import _export_sfc from '../../../_virtual/_plugin-vue_export-helper.js';

function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_NextQuery = resolveComponent("NextQuery");
  const _component_BaseSuggestions = resolveComponent("BaseSuggestions");
  return openBlock(), createBlock(_component_BaseSuggestions, {
    suggestions: _ctx.renderedNextQueries,
    "data-test": "next-queries",
    class: "x-next-queries"
  }, {
    default: withCtx((baseScope) => [
      renderSlot(_ctx.$slots, "suggestion", normalizeProps(guardReactiveProps({ ...baseScope, highlightCurated: _ctx.highlightCurated })), () => [
        createVNode(_component_NextQuery, {
          suggestion: baseScope.suggestion,
          "highlight-curated": _ctx.highlightCurated,
          class: "x-next-queries__suggestion x-suggestion"
        }, {
          default: withCtx((nextQueryScope) => [
            renderSlot(_ctx.$slots, "suggestion-content", normalizeProps(guardReactiveProps({ ...baseScope, ...nextQueryScope })))
          ]),
          _: 2
          /* DYNAMIC */
        }, 1032, ["suggestion", "highlight-curated"])
      ])
    ]),
    _: 3
    /* FORWARDED */
  }, 8, ["suggestions"]);
}
var nextQueries = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);

export { nextQueries as default };
//# sourceMappingURL=next-queries.vue.js.map
