import _sfc_main from './popular-searches.vue2.js';
import { resolveComponent, openBlock, createBlock, withCtx, renderSlot, normalizeProps, guardReactiveProps, createVNode } from 'vue';
import _export_sfc from '../../../_virtual/_plugin-vue_export-helper.js';

function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_PopularSearch = resolveComponent("PopularSearch");
  const _component_BaseSuggestions = resolveComponent("BaseSuggestions");
  return openBlock(), createBlock(_component_BaseSuggestions, {
    suggestions: _ctx.popularSearches,
    class: "x-popular-searches",
    "data-test": "popular-searches"
  }, {
    default: withCtx((baseScope) => [
      renderSlot(_ctx.$slots, "suggestion", normalizeProps(guardReactiveProps({ ...baseScope })), () => [
        createVNode(_component_PopularSearch, {
          suggestion: baseScope.suggestion,
          class: "x-popular-searches__suggestion x-suggestion"
        }, {
          default: withCtx((popularSearchScope) => [
            renderSlot(_ctx.$slots, "suggestion-content", normalizeProps(guardReactiveProps({ ...baseScope, ...popularSearchScope })))
          ]),
          _: 2
          /* DYNAMIC */
        }, 1032, ["suggestion"])
      ])
    ]),
    _: 3
    /* FORWARDED */
  }, 8, ["suggestions"]);
}
var popularSearches = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);

export { popularSearches as default };
//# sourceMappingURL=popular-searches.vue.js.map
