import '@empathyco/x-utils';
import { createStoreEmitters } from '../../../store/utils/store-emitters.utils.js';
import { queriesPreviewXStoreModule } from './module.js';

/**
 * {@link StoreEmitters} For the queries-preview module.
 *
 * @internal
 */
const queriesPreviewEmitters = createStoreEmitters(queriesPreviewXStoreModule, {
    QueryPreviewUnselected: {
        selector: state => !state.selectedQueryPreview ? state.params : state.selectedQueryPreview.extraParams,
        filter: (newValue, oldValue, state) => !state.selectedQueryPreview,
    },
});

export { queriesPreviewEmitters };
//# sourceMappingURL=emitters.js.map
