import _sfc_main from './query-suggestions.vue2.js';
import { resolveComponent, openBlock, createBlock, withCtx, renderSlot, normalizeProps, guardReactiveProps, createVNode } from 'vue';
import _export_sfc from '../../../_virtual/_plugin-vue_export-helper.js';

function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_QuerySuggestion = resolveComponent("QuerySuggestion");
  const _component_BaseSuggestions = resolveComponent("BaseSuggestions");
  return openBlock(), createBlock(_component_BaseSuggestions, {
    suggestions: _ctx.suggestions,
    class: "x-query-suggestions",
    "data-test": "query-suggestions"
  }, {
    default: withCtx((baseScope) => [
      renderSlot(_ctx.$slots, "suggestion", normalizeProps(guardReactiveProps({ ...baseScope })), () => [
        createVNode(_component_QuerySuggestion, {
          suggestion: baseScope.suggestion,
          class: "x-query-suggestions__suggestion x-suggestion"
        }, {
          default: withCtx((querySuggestionScope) => [
            renderSlot(_ctx.$slots, "suggestion-content", normalizeProps(guardReactiveProps({ ...baseScope, ...querySuggestionScope })))
          ]),
          _: 2
          /* DYNAMIC */
        }, 1032, ["suggestion"])
      ])
    ]),
    _: 3
    /* FORWARDED */
  }, 8, ["suggestions"]);
}
var querySuggestions = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);

export { querySuggestions as default };
//# sourceMappingURL=query-suggestions.vue.js.map
