import _sfc_main from './related-prompt.vue2.js';
import { resolveDirective, openBlock, createElementBlock, renderSlot, withDirectives, createElementVNode, normalizeClass, createBlock, resolveDynamicComponent } from 'vue';
import './related-prompt.vue3.js';
import _export_sfc from '../../../_virtual/_plugin-vue_export-helper.js';

const _hoisted_1 = { class: "x-related-prompt" };
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  const _directive_typing = resolveDirective("typing");
  return openBlock(), createElementBlock("button", _hoisted_1, [
    renderSlot(_ctx.$slots, "related-prompt-extra-content", { relatedPrompt: _ctx.relatedPrompt }),
    withDirectives(createElementVNode(
      "span",
      {
        class: normalizeClass(["x-related-prompt-text", { "x-related-prompt-text--selected": _ctx.selected }])
      },
      null,
      2
      /* CLASS */
    ), [
      [_directive_typing, { text: _ctx.relatedPrompt.suggestionText, speed: 50 }]
    ]),
    (openBlock(), createBlock(resolveDynamicComponent(_ctx.selected ? "CrossTinyIcon" : "PlusIcon"), { class: "x-related-prompt-icon" }))
  ]);
}
var RelatedPrompt = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);

export { RelatedPrompt as default };
//# sourceMappingURL=related-prompt.vue.js.map
