import _sfc_main from './related-prompts-tag-list.vue2.js';
import { resolveComponent, openBlock, createBlock, withCtx, renderSlot, createVNode, TransitionGroup, createElementBlock, Fragment, renderList, normalizeClass, normalizeStyle } from 'vue';
import './related-prompts-tag-list.vue3.js';
import _export_sfc from '../../../_virtual/_plugin-vue_export-helper.js';

const _hoisted_1 = ["data-index"];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_RelatedPrompt = resolveComponent("RelatedPrompt");
  const _component_DisplayEmitter = resolveComponent("DisplayEmitter");
  const _component_SlidingPanel = resolveComponent("SlidingPanel");
  return openBlock(), createBlock(_component_SlidingPanel, {
    key: _ctx.x.query.search,
    "reset-on-content-change": false,
    "button-class": _ctx.buttonClass,
    "show-buttons": _ctx.showButtons && _ctx.selectedPromptIndex === -1,
    "scroll-container-class": [
      "x-related-prompts-tag-list-scroll-container",
      _ctx.scrollContainerClass || ""
    ]
  }, {
    "sliding-panel-left-button": withCtx(() => [
      renderSlot(_ctx.$slots, "sliding-panel-left-button")
    ]),
    "sliding-panel-right-button": withCtx(() => [
      renderSlot(_ctx.$slots, "sliding-panel-right-button")
    ]),
    default: withCtx(() => [
      createVNode(TransitionGroup, {
        class: "x-related-prompts-tag-list",
        css: false,
        tag: "ul",
        appear: "",
        onBeforeEnter: _ctx.onBeforeEnter,
        onEnter: _ctx.onEnter,
        onLeave: _ctx.onLeave
      }, {
        default: withCtx(() => [
          (openBlock(true), createElementBlock(
            Fragment,
            null,
            renderList(_ctx.visibleRelatedPrompts, ({ index, ...relatedPrompt }) => {
              return openBlock(), createElementBlock("li", {
                ref_for: true,
                ref: "listItems",
                key: relatedPrompt.suggestionText,
                class: normalizeClass(["x-related-prompts-tag-list-item", [_ctx.tagClass, _ctx.tagColors && _ctx.tagColors[index % _ctx.tagColors.length]]]),
                "data-index": index,
                style: normalizeStyle({
                  ..._ctx.selectedPromptIndex === index && { width: "100%" },
                  ..._ctx.isAnimating && { pointerEvents: "none" }
                }),
                "data-test": "related-prompts-tag-list-item"
              }, [
                renderSlot(_ctx.$slots, "default", {
                  relatedPrompt,
                  onSelect: () => _ctx.onSelect(index),
                  isSelected: _ctx.selectedPromptIndex === index
                }, () => [
                  createVNode(_component_DisplayEmitter, {
                    payload: relatedPrompt.tagging?.toolingDisplayTagging,
                    "event-metadata": {
                      feature: "related-prompts",
                      displayOriginalQuery: _ctx.x.query.searchBox,
                      replaceable: false
                    }
                  }, {
                    default: withCtx(() => [
                      createVNode(_component_RelatedPrompt, {
                        "related-prompt": relatedPrompt,
                        selected: _ctx.selectedPromptIndex === index,
                        onClick: ($event) => _ctx.onSelect(index)
                      }, {
                        "related-prompt-extra-content": withCtx(() => [
                          renderSlot(_ctx.$slots, "related-prompt-extra-content", { relatedPrompt })
                        ]),
                        _: 2
                        /* DYNAMIC */
                      }, 1032, ["related-prompt", "selected", "onClick"])
                    ]),
                    _: 2
                    /* DYNAMIC */
                  }, 1032, ["payload", "event-metadata"])
                ])
              ], 14, _hoisted_1);
            }),
            128
            /* KEYED_FRAGMENT */
          ))
        ]),
        _: 3
        /* FORWARDED */
      }, 8, ["onBeforeEnter", "onEnter", "onLeave"])
    ]),
    _: 3
    /* FORWARDED */
  }, 8, ["button-class", "show-buttons", "scroll-container-class"]);
}
var relatedPromptsTagList = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);

export { relatedPromptsTagList as default };
//# sourceMappingURL=related-prompts-tag-list.vue.js.map
