/**
 * Default implementation setUrlParams.
 *
 * @param context - The context of the actions, provided by Vuex.
 * @param urlParams - List of params from the url.
 * @public
 */
const setUrlParams = ({ commit }, { query, prompt }) => {
    commit('setQuery', query);
    commit('setSelectedPrompt', prompt);
};

export { setUrlParams };
//# sourceMappingURL=set-url-params.action.js.map
