import _sfc_main from './related-tag.vue2.js';
import { openBlock, createElementBlock, normalizeClass, renderSlot, normalizeProps, guardReactiveProps, createTextVNode, toDisplayString } from 'vue';
import _export_sfc from '../../../_virtual/_plugin-vue_export-helper.js';

function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock(
    "button",
    {
      ref: "buttonEl",
      class: normalizeClass(["x-tag x-related-tag", _ctx.dynamicClasses]),
      "data-test": "related-tag",
      onClick: _cache[0] || (_cache[0] = (...args) => _ctx.clickRelatedTag && _ctx.clickRelatedTag(...args))
    },
    [
      renderSlot(_ctx.$slots, "default", normalizeProps(guardReactiveProps({ relatedTag: _ctx.relatedTag, isSelected: _ctx.isSelected, shouldHighlightCurated: _ctx.shouldHighlightCurated })), () => [
        createTextVNode(
          toDisplayString(_ctx.relatedTag.tag),
          1
          /* TEXT */
        )
      ])
    ],
    2
    /* CLASS */
  );
}
var RelatedTag = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);

export { RelatedTag as default };
//# sourceMappingURL=related-tag.vue.js.map
