import _sfc_main from './scroll.vue2.js';
import { resolveComponent, openBlock, createBlock, withCtx, renderSlot } from 'vue';
import _export_sfc from '../../../_virtual/_plugin-vue_export-helper.js';

function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_BaseScroll = resolveComponent("BaseScroll");
  return openBlock(), createBlock(_component_BaseScroll, {
    id: _ctx.id,
    ref: "scrollRef",
    onScroll: _ctx.emitScroll,
    "onScroll:directionChange": _ctx.emitScrollDirectionChange,
    "onScroll:atStart": _ctx.emitScrollAtStart,
    "onScroll:almostAtEnd": _ctx.emitScrollAlmostAtEnd,
    "onScroll:atEnd": _ctx.emitScrollAtEnd
  }, {
    default: withCtx(() => [
      renderSlot(_ctx.$slots, "default")
    ]),
    _: 3
    /* FORWARDED */
  }, 8, ["id", "onScroll", "onScroll:directionChange", "onScroll:atStart", "onScroll:almostAtEnd", "onScroll:atEnd"]);
}
var Scroll = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);

export { Scroll as default };
//# sourceMappingURL=scroll.vue.js.map
