import _sfc_main from './search-input.vue2.js';
import { openBlock, createElementBlock, withKeys, withModifiers } from 'vue';
import './search-input.vue3.js';
import _export_sfc from '../../../_virtual/_plugin-vue_export-helper.js';

const _hoisted_1 = ["maxlength", "value"];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("input", {
    ref: "inputElement",
    maxlength: _ctx.maxLength,
    value: _ctx.query,
    autocomplete: "off",
    class: "x-search-input x-input",
    enterkeyhint: "search",
    inputmode: "search",
    type: "search",
    "data-test": "search-input",
    "aria-label": "type your query here",
    onMouseenter: _cache[0] || (_cache[0] = (...args) => _ctx.emitUserHoveredInSearchBox && _ctx.emitUserHoveredInSearchBox(...args)),
    onMouseleave: _cache[1] || (_cache[1] = (...args) => _ctx.emitUserHoveredOutSearchBox && _ctx.emitUserHoveredOutSearchBox(...args)),
    onBlur: _cache[2] || (_cache[2] = (...args) => _ctx.emitUserBlurredSearchBox && _ctx.emitUserBlurredSearchBox(...args)),
    onClick: _cache[3] || (_cache[3] = (...args) => _ctx.emitUserClickedSearchBox && _ctx.emitUserClickedSearchBox(...args)),
    onFocus: _cache[4] || (_cache[4] = (...args) => _ctx.emitUserFocusedSearchBox && _ctx.emitUserFocusedSearchBox(...args)),
    onInput: _cache[5] || (_cache[5] = (...args) => _ctx.emitUserIsTypingAQueryEvents && _ctx.emitUserIsTypingAQueryEvents(...args)),
    onKeydown: [
      _cache[6] || (_cache[6] = withKeys((...args) => _ctx.emitUserPressedEnterKey && _ctx.emitUserPressedEnterKey(...args), ["enter"])),
      _cache[7] || (_cache[7] = withKeys(withModifiers((...args) => _ctx.emitUserPressedArrowKey && _ctx.emitUserPressedArrowKey(...args), ["prevent"]), ["up", "down"]))
    ],
    onBeforeinput: _cache[8] || (_cache[8] = (...args) => _ctx.preventSpecialKey && _ctx.preventSpecialKey(...args))
  }, null, 40, _hoisted_1);
}
var searchInput = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-ae31d02d"]]);

export { searchInput as default };
//# sourceMappingURL=search-input.vue.js.map
