import { defineComponent } from 'vue';
import { useState } from '../../../composables/use-state.js';
import { searchXModule } from '../x-module.js';

/**
 * The `FallbackDisclaimer` component shows a message if the filters have been removed
 * from the current search because there were no results.
 *
 * @public
 */
var _sfc_main = defineComponent({
    name: 'FallbackDisclaimer',
    xModule: searchXModule.name,
    setup() {
        const { query, fromNoResultsWithFilters } = useState('search');
        return { query, fromNoResultsWithFilters };
    },
});

export { _sfc_main as default };
//# sourceMappingURL=fallback-disclaimer.vue2.js.map
