import _sfc_main from './promoted.vue2.js';
import { openBlock, createElementBlock, withModifiers, createElementVNode, normalizeClass, toDisplayString } from 'vue';
import './promoted.vue3.js';
import _export_sfc from '../../../_virtual/_plugin-vue_export-helper.js';

const _hoisted_1 = ["href"];
const _hoisted_2 = ["src", "alt"];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("a", {
    href: _ctx.promoted.url,
    class: "x-promoted",
    "data-test": "promoted",
    onClick: _cache[0] || (_cache[0] = (...args) => _ctx.emitUserClickedAPromoted && _ctx.emitUserClickedAPromoted(...args)),
    onContextmenu: _cache[1] || (_cache[1] = withModifiers((...args) => _ctx.emitUserClickedAPromoted && _ctx.emitUserClickedAPromoted(...args), ["right"])),
    onMouseup: _cache[2] || (_cache[2] = withModifiers((...args) => _ctx.emitUserClickedAPromoted && _ctx.emitUserClickedAPromoted(...args), ["middle"]))
  }, [
    createElementVNode("img", {
      src: _ctx.promoted.image,
      class: "x-promoted__image",
      alt: _ctx.promoted.title
    }, null, 8, _hoisted_2),
    createElementVNode(
      "h2",
      {
        class: normalizeClass(["x-promoted__title", _ctx.titleClass]),
        "data-test": "promoted-title"
      },
      toDisplayString(_ctx.promoted.title),
      3
      /* TEXT, CLASS */
    )
  ], 40, _hoisted_1);
}
var promoted = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-4a8fc4b3"]]);

export { promoted as default };
//# sourceMappingURL=promoted.vue.js.map
