import _sfc_main from './sort-picker-list.vue2.js';
import { resolveComponent, openBlock, createBlock, resolveDynamicComponent, withCtx, createElementBlock, Fragment, renderList, normalizeClass, renderSlot, mergeProps, createTextVNode, toDisplayString } from 'vue';
import _export_sfc from '../../../_virtual/_plugin-vue_export-helper.js';

function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_BaseEventButton = resolveComponent("BaseEventButton");
  return openBlock(), createBlock(resolveDynamicComponent(_ctx.animation), {
    tag: "div",
    class: "x-sort-picker-list",
    "data-test": "sort-picker",
    role: "list"
  }, {
    default: withCtx(() => [
      (openBlock(true), createElementBlock(
        Fragment,
        null,
        renderList(_ctx.listItems, ({ item, cssClasses, event }) => {
          return openBlock(), createBlock(_component_BaseEventButton, {
            key: item,
            class: normalizeClass([cssClasses, _ctx.buttonClass]),
            "data-test": "sort-picker-button",
            events: event,
            "aria-pressed": item === _ctx.selectedSort || null,
            role: "listitem"
          }, {
            default: withCtx(() => [
              renderSlot(_ctx.$slots, "default", mergeProps({ ref_for: true }, { item, isSelected: item === _ctx.selectedSort }), () => [
                createTextVNode(
                  toDisplayString(item),
                  1
                  /* TEXT */
                )
              ])
            ]),
            _: 2
            /* DYNAMIC */
          }, 1032, ["class", "events", "aria-pressed"]);
        }),
        128
        /* KEYED_FRAGMENT */
      ))
    ]),
    _: 3
    /* FORWARDED */
  });
}
var sortPickerList = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);

export { sortPickerList as default };
//# sourceMappingURL=sort-picker-list.vue.js.map
