import _sfc_main from './semantic-queries.vue2.js';
import { resolveComponent, openBlock, createBlock, withCtx, renderSlot, normalizeProps, guardReactiveProps, createVNode, createCommentVNode } from 'vue';
import _export_sfc from '../../../_virtual/_plugin-vue_export-helper.js';

function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_SemanticQuery = resolveComponent("SemanticQuery");
  const _component_BaseSuggestions = resolveComponent("BaseSuggestions");
  return _ctx.suggestions.length ? (openBlock(), createBlock(_component_BaseSuggestions, {
    key: 0,
    class: "x-semantic-queries",
    suggestions: _ctx.suggestions
  }, {
    default: withCtx((baseSuggestionsScope) => [
      renderSlot(_ctx.$slots, "suggestion", normalizeProps(guardReactiveProps(baseSuggestionsScope)), () => [
        createVNode(_component_SemanticQuery, {
          suggestion: baseSuggestionsScope.suggestion
        }, {
          default: withCtx((baseSuggestionScope) => [
            renderSlot(_ctx.$slots, "suggestion-content", normalizeProps(guardReactiveProps(baseSuggestionScope)))
          ]),
          _: 2
          /* DYNAMIC */
        }, 1032, ["suggestion"])
      ])
    ]),
    _: 3
    /* FORWARDED */
  }, 8, ["suggestions"])) : createCommentVNode("v-if", true);
}
var semanticQueries = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);

export { semanticQueries as default };
//# sourceMappingURL=semantic-queries.vue.js.map
