import { normalizeString } from '../../../../utils/normalize.js';

/**
 * Default implementacion for the {@link SemanticQueriesGetters.normalizedQuery} getter.
 *
 * @param state - Current {@link https://vuex.vuejs.org/guide/state.html | state} of the semantic
 * queries' module.
 *
 * @returns The normalized query.
 *
 * @public
 */
const normalizedQuery = ({ query, }) => normalizeString(query);

export { normalizedQuery };
//# sourceMappingURL=normalized-query.getter.js.map
