import type { EndpointAdapter, HttpClient } from '@empathyco/x-adapter';
import type { XComponentsAdapter } from '@empathyco/x-types';
/**
 * Mock fetch httpClient.
 *
 * @param endpoint - The endpoint to use.
 * @param options - Additional options to make the request with.
 * @param options.parameters - Option parameters.
 * @param options.properties - Option properties.
 * @returns A promise wrapped object containing the response.
 */
export declare const mockedFetchHttpClient: HttpClient;
/**
 * Mock EndpointAdapter.
 *
 * @param path - The path of the endpoint to mock.
 * @returns The mocked endpoint adapter.
 */
export declare function mockEndpointAdapter<Request, Response>(path: string): EndpointAdapter<Request, Response>;
export declare const e2eAdapter: XComponentsAdapter;
//# sourceMappingURL=e2e-adapter.d.ts.map