/**
 * Renders a transition wrapping the element passed in the default slot and animating
 * it with a height animation.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /**
     * Indicates if the transition must be applied on the initial render of the node.
     */
    appear: {
        type: BooleanConstructor;
        default: boolean;
    };
}, {
    expand: (element: HTMLElement) => void;
    cleanUpAnimationStyles: (element: HTMLElement) => void;
    collapse: (element: HTMLElement) => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * Indicates if the transition must be applied on the initial render of the node.
     */
    appear: {
        type: BooleanConstructor;
        default: boolean;
    };
}>>, {
    appear: boolean;
}, {}>;
export default _default;
//# sourceMappingURL=collapse-height.vue?vue&type=script&lang.d.ts.map