/**
 * Renders a transition group wrapping the elements passed in the default slot and animating
 * them with a fade and slide animation.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /**
     * HTML Element that the transition-group children will be wrapped in.
     */
    tag: StringConstructor;
    /**
     * Indicates if the transition must be applied on the initial render of the node.
     */
    appear: {
        type: BooleanConstructor;
        default: boolean;
    };
}, {
    name: import("vue").ComputedRef<string>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * HTML Element that the transition-group children will be wrapped in.
     */
    tag: StringConstructor;
    /**
     * Indicates if the transition must be applied on the initial render of the node.
     */
    appear: {
        type: BooleanConstructor;
        default: boolean;
    };
}>>, {
    appear: boolean;
}, {}>;
export default _default;
//# sourceMappingURL=fade-and-slide.vue?vue&type=script&lang.d.ts.map