/**
 * Composable to ease disabling animations.
 *
 * @param animationName - The name of the animation.
 * @returns Composable with the computed name of the animation.
 *
 * @public
 */
export declare function useDisableAnimation(animationName: string): {
    name: import("vue").ComputedRef<string>;
};
//# sourceMappingURL=use-disable-animation.d.ts.map