import type { StyleValue } from 'vue';
/**
 * The auto progress bar component is useful for displaying a visual indicator of numerical data
 * in a bar shape.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /**
     * A boolean flag indicating if the bar is loading.
     *
     * @public
     */
    isLoading: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * The duration in seconds of the progress bar.
     *
     * @public
     */
    durationInSeconds: {
        type: NumberConstructor;
        default: number;
    };
}, {
    cssStyles: import("vue").ComputedRef<StyleValue>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * A boolean flag indicating if the bar is loading.
     *
     * @public
     */
    isLoading: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * The duration in seconds of the progress bar.
     *
     * @public
     */
    durationInSeconds: {
        type: NumberConstructor;
        default: number;
    };
}>>, {
    isLoading: boolean;
    durationInSeconds: number;
}, {}>;
export default _default;
//# sourceMappingURL=auto-progress-bar.vue?vue&type=script&lang.d.ts.map