import type { VueCSSClasses } from '../utils/types';
/**
 * Basic switch component to handle boolean values. This component receives
 * its selected state using a prop, and emits a Vue event whenever the user
 * clicks it.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    modelValue: {
        type: BooleanConstructor;
        default: boolean;
    };
}, {
    cssClasses: import("vue").ComputedRef<VueCSSClasses>;
    toggle: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "update:modelValue"[], "update:modelValue", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    modelValue: {
        type: BooleanConstructor;
        default: boolean;
    };
}>> & {
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
}, {
    modelValue: boolean;
}, {}>;
export default _default;
//# sourceMappingURL=base-switch.vue?vue&type=script&lang.d.ts.map