import type { TaggingRequest } from '@empathyco/x-types';
import type { PropType } from 'vue';
import type { WireMetadata } from '../wiring';
/** A component that emits a display event when it first appears in the viewport. */
declare const _default: import("vue").DefineComponent<{
    /** The payload for the display event emit. */
    payload: {
        type: PropType<TaggingRequest>;
        required: true;
    };
    /** Optional event metadata. */
    eventMetadata: {
        type: PropType<Omit<WireMetadata, "moduleName" | "origin" | "location">>;
    };
}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}> | "", unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /** The payload for the display event emit. */
    payload: {
        type: PropType<TaggingRequest>;
        required: true;
    };
    /** Optional event metadata. */
    eventMetadata: {
        type: PropType<Omit<WireMetadata, "moduleName" | "origin" | "location">>;
    };
}>>, {}, {}>;
export default _default;
//# sourceMappingURL=display-emitter.vue?vue&type=script&lang.d.ts.map