import type { BooleanFilter } from '@empathyco/x-types';
import type { PropType } from 'vue';
/**
 * Renders a label for a rating filter, allowing to override the elements used to paint
 * the rating.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /**
     * The filter data to render.
     *
     * @public
     */
    filter: {
        type: PropType<BooleanFilter>;
        required: true;
    };
    /**
     * Maximum number of elements to paint.
     *
     * @public
     */
    max: {
        type: NumberConstructor;
        default: number;
    };
}, {
    value: import("vue").ComputedRef<number>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * The filter data to render.
     *
     * @public
     */
    filter: {
        type: PropType<BooleanFilter>;
        required: true;
    };
    /**
     * Maximum number of elements to paint.
     *
     * @public
     */
    max: {
        type: NumberConstructor;
        default: number;
    };
}>>, {
    max: number;
}, {}>;
export default _default;
//# sourceMappingURL=base-rating-filter-label.vue?vue&type=script&lang.d.ts.map