import type { PropType } from 'vue';
import type { FeatureLocation } from '../types';
/**
 * Location Provider component.
 * This component injects the location with value passed as prop.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /**
     * The {@link FeatureLocation} to provide.
     *
     * @public
     */
    location: {
        type: PropType<FeatureLocation>;
        required: true;
    };
}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}> | "", unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * The {@link FeatureLocation} to provide.
     *
     * @public
     */
    location: {
        type: PropType<FeatureLocation>;
        required: true;
    };
}>>, {}, {}>;
export default _default;
//# sourceMappingURL=location-provider.vue?vue&type=script&lang.d.ts.map