/**
 * Component that allows to close a modal by emitting
 * {@link XEventsTypes.UserClickedCloseModal}.
 * It allows full customization with the 'closing-element' slot and exposes the 'closeModal'
 * function.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /** The modalId of the modal that will be closed. */
    modalId: {
        type: StringConstructor;
        required: true;
    };
}, {
    closeModal: ({ target }: Event) => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /** The modalId of the modal that will be closed. */
    modalId: {
        type: StringConstructor;
        required: true;
    };
}>>, {}, {}>;
export default _default;
//# sourceMappingURL=base-id-modal-close.vue?vue&type=script&lang.d.ts.map