import type { App } from '@vue/devtools-api';
/**
 * Setups a plugin for the Vue's devtools adding:
 * - {@link XEvent}s timeline. Every event is recorded in time, and its payload and metadata can be
 * inspected.
 * - Wiring inspector. Events and its wires can be viewed and disabled.
 *
 * @param app - The Vue application instance the devtools should track.
 * @beta
 */
export declare function setupDevtools(app: App): void;
//# sourceMappingURL=devtools.plugin.d.ts.map