/**
 * WireCommit for {@link ExperienceControlsXModule}.
 *
 * @internal
 */
export declare const setParamsWire: import("../..").Wire<import("@empathyco/x-utils").Dictionary<unknown>>;
/**
 * Requests and stores a new set of controls results.
 *
 * @public
 */
export declare const fetchAndSaveExperienceControlsWire: import("../..").Wire<import("@empathyco/x-types").ExperienceControlsRequest | null>;
/**
 * Wiring configuration for the {@link ExperienceControlsXModule | experience-controls module}.
 *
 * @internal
 */
export declare const experienceControlsWiring: {
    ExtraParamsChanged: {
        setParamsWire: import("../..").Wire<import("@empathyco/x-utils").Dictionary<unknown>>;
    };
    ExperienceControlsRequestUpdated: {
        fetchAndSaveExperienceControlsWire: import("../..").Wire<import("@empathyco/x-types").ExperienceControlsRequest | null>;
    };
};
//# sourceMappingURL=wiring.d.ts.map