import type { FacetsXStoreModule } from '../types';
/**
 * Default implementation for the {@link FacetsGetters.selectedFiltersForRequest} getter.
 *
 * @param state - Current {@link https://vuex.vuejs.org/guide/state.html | state} of the facets'
 * module.
 *
 * @returns A list containing the selected filters that conform to the filters for request strategy.
 *
 * @public
 */
export declare const selectedFiltersForRequest: FacetsXStoreModule['getters']['selectedFiltersForRequest'];
//# sourceMappingURL=selected-filters-for-request.getter.d.ts.map