import type { VueCSSClasses } from '../../../utils/types';
import type { XEventsTypes } from '../../../wiring/events.types';
/**
 * A button that when is pressed, emits the
 * {@link HistoryQueriesXEvents.UserPressedClearHistoryQueries} event, expressing the user
 * intention to clear the whole history of queries.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{}, {
    dynamicClasses: import("vue").ComputedRef<VueCSSClasses>;
    clearHistoryQueriesEvents: Partial<XEventsTypes>;
    isHistoryQueriesEmpty: import("vue").ComputedRef<boolean>;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}, {}>;
export default _default;
//# sourceMappingURL=clear-history-queries.vue?vue&type=script&lang.d.ts.map