import type { IdentifierResultsRequest } from '@empathyco/x-types';
import type { IdentifierResultsActionsContext } from '../types';
/**
 * Default implementation for {@link IdentifierResultsActions.fetchAndSaveIdentifierResults} action.
 *
 * @public
 */
export declare const fetchAndSaveIdentifierResults: (context: IdentifierResultsActionsContext, request: IdentifierResultsRequest | null) => void | Promise<void>;
/**
 * Default implementation for {@link IdentifierResultsActions.cancelFetchAndSaveIdentifierResults}
 * action.
 *
 * @public
 */
export declare const cancelFetchAndSaveIdentifierResults: () => void;
//# sourceMappingURL=fetch-and-save-identifier-results.action.d.ts.map