import type { RecommendationsXStoreModule } from '../types';
/**
 * Default implementation for the {@link RecommendationsActions.fetchRecommendations}.
 *
 * @param _context - The {@link https://vuex.vuejs.org/guide/actions.html | context} of the actions,
 * provided by Vuex.
 * @param request - The recommendations request to make.
 * @returns A `void` promise that resolves when it fetches recommendations.
 *
 * @public
 */
export declare const fetchRecommendations: RecommendationsXStoreModule['actions']['fetchRecommendations'];
//# sourceMappingURL=fetch-recommendations.action.d.ts.map