import type { RelatedTagsXStoreModule } from '../types';
/**
 * Default implementation for the {@link RelatedTagsActions.setUrlParams}.
 *
 * @param context - The {@link https://vuex.vuejs.org/guide/actions.html | context} of the actions,
 * provided by Vuex.
 * @param context.commit - commit context.
 * @param urlParams - The url params from the url.
 * @param urlParams.query - query urlParams.
 * @param urlParams.tag - tag urlParams.
 *
 * @public
 */
export declare const setUrlParams: RelatedTagsXStoreModule['actions']['setUrlParams'];
//# sourceMappingURL=set-url-params.action.d.ts.map