import type { XInjectKey } from '../../../components/decorators/injection.consts';
import type { ScrollVisibilityObserver } from './scroll.types';
/**
 * Constant to inject the first visible item observer.
 *
 * @internal
 */
export declare const ScrollObserverKey: XInjectKey<ScrollVisibilityObserver | null>;
/**
 * The default scroll id for all the scroll components.
 *
 * @internal
 */
export declare const MainScrollId = "main-scroll";
//# sourceMappingURL=scroll.const.d.ts.map