import type { ComponentPublicInstance } from 'vue';
import type { ScrollDirection } from '../../../components/scroll/scroll.types';
/**
 * Scrollable container that emits scroll related X Events. It exposes all the listeners
 * and props from the {@link BaseScroll} component.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /**
     * Id to identify the component.
     *
     * @public
     */
    id: {
        type: StringConstructor;
        default: string;
    };
}, {
    scrollRef: import("vue").Ref<ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string, {}>, {}, {}> | undefined>;
    emitScrollAtEnd: (isAtEnd: boolean) => void;
    emitScrollAlmostAtEnd: (isAlmostAtEnd: boolean) => void;
    emitScrollAtStart: (isAtStart: boolean) => void;
    emitScrollDirectionChange: (direction: ScrollDirection) => void;
    emitScroll: (position: number) => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * Id to identify the component.
     *
     * @public
     */
    id: {
        type: StringConstructor;
        default: string;
    };
}>>, {
    id: string;
}, {}>;
export default _default;
//# sourceMappingURL=scroll.vue?vue&type=script&lang.d.ts.map