/**
 * A button that when pressed emits the {@link XEventsTypes.UserAcceptedAQuery}
 * and {@link SearchXEvents.UserClickedPartialQuery} events, expressing the user
 * intention to set the partial query.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /**
     * The query property.
     *
     * @public
     */
    query: {
        type: StringConstructor;
        required: true;
    };
}, {
    partialButtonEl: import("vue").Ref<HTMLElement | undefined>;
    emitEvents: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * The query property.
     *
     * @public
     */
    query: {
        type: StringConstructor;
        required: true;
    };
}>>, {}, {}>;
export default _default;
//# sourceMappingURL=partial-query-button.vue?vue&type=script&lang.d.ts.map