/**
 * It renders a {@link ItemsList} list with the results from {@link SearchState.results} by
 * default.
 *
 * The component provides a default slot which wraps the whole component with the `results` bound.
 *
 * It also provides the slot result to customize the item, which is within the default slot, with
 * the result bound.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /** Animation component that will be used to animate the results. */
    animation: {
        type: (StringConstructor | ObjectConstructor | FunctionConstructor)[];
        default: string;
    };
}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "UserReachedResultsListEnd"[], "UserReachedResultsListEnd", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /** Animation component that will be used to animate the results. */
    animation: {
        type: (StringConstructor | ObjectConstructor | FunctionConstructor)[];
        default: string;
    };
}>> & {
    onUserReachedResultsListEnd?: ((...args: any[]) => any) | undefined;
}, {
    animation: string | Function | Record<string, any>;
}, {}>;
export default _default;
//# sourceMappingURL=results-list.vue?vue&type=script&lang.d.ts.map