import type { Sort } from '@empathyco/x-types';
import type { PropType } from 'vue';
import type Vue from 'vue';
/**
 * The `SortDropdown` component allows user to select the search results order. This component
 * also allows to change the selected sort programmatically.
 */
declare const _default: Vue.DefineComponent<{
    /** The list of possible sort values. */
    items: {
        type: PropType<string[]>;
        required: true;
    };
    /** The transition to use for opening and closing the dropdown. */
    animation: PropType<string | typeof Vue>;
}, {
    emitUserClickedASort: (sort: Sort) => void;
    rootRef: Vue.Ref<Vue.DefineComponent<{}, {}, any, Vue.ComputedOptions, Vue.MethodOptions, Vue.ComponentOptionsMixin, Vue.ComponentOptionsMixin, {}, string, Vue.PublicProps, Readonly<Vue.ExtractPropTypes<{}>>, {}, {}> | undefined>;
    selectedSort: Vue.ComputedRef<string>;
}, unknown, {}, {}, Vue.ComponentOptionsMixin, Vue.ComponentOptionsMixin, "change"[], "change", Vue.PublicProps, Readonly<Vue.ExtractPropTypes<{
    /** The list of possible sort values. */
    items: {
        type: PropType<string[]>;
        required: true;
    };
    /** The transition to use for opening and closing the dropdown. */
    animation: PropType<string | typeof Vue>;
}>> & {
    onChange?: ((...args: any[]) => any) | undefined;
}, {}, {}>;
export default _default;
//# sourceMappingURL=sort-dropdown.vue?vue&type=script&lang.d.ts.map