/**
 * A button that when pressed emits the {@link XEventsTypes.UserAcceptedAQuery}
 * and {@link XEventsTypes.UserAcceptedSpellcheckQuery} events, expressing the user
 * intention to set the spellchecked query.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{}, {
    el: import("vue").Ref<HTMLElement | undefined>;
    spellcheckedQuery: import("vue").ComputedRef<string>;
    emitEvents: () => void;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}, {}>;
export default _default;
//# sourceMappingURL=spellcheck-button.vue?vue&type=script&lang.d.ts.map