import type { InternalSearchRequest } from '../../types';
import type { SearchActionContext } from '../types';
/**
 * Default implementation for {@link SearchActions.fetchAndSaveSearchResponse} action.
 *
 * @public
 */
export declare const fetchAndSaveSearchResponse: (context: SearchActionContext, request: InternalSearchRequest | null) => void | Promise<void>;
/**
 * Default implementation for {@link SearchActions.cancelFetchAndSaveSearchResponse} action.
 *
 * @public
 */
export declare const cancelFetchAndSaveSearchResponse: () => void;
//# sourceMappingURL=fetch-and-save-search-response.action.d.ts.map