---

title: BaseTeleport

---

# BaseTeleport

## Props

| Name                  | Description                                                                                                                                                                                                                                                                                                                                                             | Type                           | Default                  |
| --------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------ | ------------------------ |
| <code>target</code>   | The element or css selector to which the component will be teleported.                                                                                                                                                                                                                                                                                                  | <code>string \| Element</code> | <code></code>            |
| <code>position</code> | The position relative to the target<br />- `beforebegin`: Before the target element.<br />- `afterbegin`: Inside the target element, before its first child.<br />- `beforeend`: Inside the target element, after its last child.<br />- `afterend`: After the target element.<br />- `onlychild`: Adds it as child and hides all other children of the target element. | <code>string</code>            | <code>'onlychild'</code> |
| <code>disabled</code> | If disabled, the slot content will not be teleported                                                                                                                                                                                                                                                                                                                    | <code>boolean</code>           | <code>false</code>       |

## Slots

| Name                 | Description | Bindings<br />(name - type - description) |
| -------------------- | ----------- | ----------------------------------------- |
| <code>default</code> |             | None                                      |
