---

title: ExperienceControls

---

# ExperienceControls

This component subscribes to changes in the ExperienceControls module to fire the events that
propagate the configuration.

## Examples

This component will fire the events received in the `ExperienceControlsEventsChanged` event.

```vue
<template>
  <ExperienceControls />
</template>
<script>
import { ExperienceControls } from '@empathyco/x-components/experience-controls'

export default {
  name: 'ExperienceControlsDemo',
  components: {
    ExperienceControls,
  },
}
</script>
```
