---

title: IdentifierResult

---

# IdentifierResult

This component renders an identifier result value and highlights its matching part with the
query from the state. Receives as prop the @empathyco/x-types#Result data.

## Props

| Name                | Description                                           | Type                | Default       |
| ------------------- | ----------------------------------------------------- | ------------------- | ------------- |
| <code>result</code> | (Required) The @empathyco/x-types#Result information. | <code>Result</code> | <code></code> |

## Examples

This component renders an identifier result value and highlights its matching part with the query
from the state. Receives as prop the result data

### Basic usage:

```vue
<IdentifierResult v-bind="{ result }" />
```
