import { defineComponent } from 'vue';

/**
 * Component to be used as `default` for animation props together with dynamic components
 * `<component :is="animation">` in the template.
 */
var _sfc_main = defineComponent({
    name: 'NoAnimation',
    setup(_, { slots }) {
        return () => slots.default?.()[0] ?? '';
    },
});

export { _sfc_main as default };
//# sourceMappingURL=no-animation.vue.js.map
