import _sfc_main from './base-grid.vue2.js';
import { openBlock, createBlock, resolveDynamicComponent, normalizeStyle, normalizeClass, withCtx, createElementBlock, Fragment, renderList, renderSlot, createTextVNode, toDisplayString } from 'vue';
import './base-grid.vue3.js';
import _export_sfc from '../_virtual/_plugin-vue_export-helper.js';

function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createBlock(resolveDynamicComponent(_ctx.animation), {
    ref: "gridEl",
    style: normalizeStyle(_ctx.style),
    class: normalizeClass(["x-base-grid", _ctx.cssClasses]),
    tag: "ul",
    "data-test": "grid"
  }, {
    default: withCtx(() => [
      (openBlock(true), createElementBlock(
        Fragment,
        null,
        renderList(_ctx.gridItems, ({ item, cssClass, slotName }) => {
          return openBlock(), createElementBlock(
            "li",
            {
              key: item.id,
              class: normalizeClass([cssClass, "x-base-grid__item"])
            },
            [
              _ctx.slots[slotName] ? renderSlot(_ctx.$slots, slotName, {
                key: 0,
                item
              }, void 0, true) : renderSlot(_ctx.$slots, "default", {
                key: 1,
                item
              }, () => [
                createTextVNode(
                  toDisplayString(item.name || item.modelName || item.id || item),
                  1
                  /* TEXT */
                )
              ], true)
            ],
            2
            /* CLASS */
          );
        }),
        128
        /* KEYED_FRAGMENT */
      ))
    ]),
    _: 3
    /* FORWARDED */
  }, 8, ["style", "class"]);
}
var BaseGrid = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-070eaadb"]]);

export { BaseGrid as default };
//# sourceMappingURL=base-grid.vue.js.map
