import _sfc_main from './base-column-picker-dropdown.vue2.js';
import { resolveComponent, openBlock, createBlock, createSlots, withCtx, renderSlot, normalizeProps, guardReactiveProps } from 'vue';
import _export_sfc from '../../_virtual/_plugin-vue_export-helper.js';

function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_BaseDropdown = resolveComponent("BaseDropdown");
  return openBlock(), createBlock(_component_BaseDropdown, {
    "model-value": _ctx.selectedColumns,
    items: _ctx.columns,
    animation: _ctx.animation,
    "aria-label": "Select number of columns",
    "onUpdate:modelValue": _ctx.emitEvents
  }, createSlots({
    item: withCtx(({ item, isSelected, isHighlighted }) => [
      renderSlot(_ctx.$slots, "item", normalizeProps(guardReactiveProps({ item, isSelected, isHighlighted })))
    ]),
    _: 2
    /* DYNAMIC */
  }, [
    _ctx.hasToggleSlot ? {
      name: "toggle",
      fn: withCtx(({ item, isOpen }) => [
        renderSlot(_ctx.$slots, "toggle", normalizeProps(guardReactiveProps({ item, isOpen })))
      ]),
      key: "0"
    } : void 0
  ]), 1032, ["model-value", "items", "animation", "onUpdate:modelValue"]);
}
var baseColumnPickerDropdown = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);

export { baseColumnPickerDropdown as default };
//# sourceMappingURL=base-column-picker-dropdown.vue.js.map
