import _sfc_main from './base-rating-filter-label.vue2.js';
import { resolveComponent, openBlock, createBlock, withCtx, renderSlot } from 'vue';
import _export_sfc from '../../../_virtual/_plugin-vue_export-helper.js';

function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_BaseRating = resolveComponent("BaseRating");
  return openBlock(), createBlock(_component_BaseRating, {
    class: "x-rating-filter-label",
    "data-test": "rating-label",
    value: _ctx.value,
    max: _ctx.max
  }, {
    "filled-icon": withCtx(() => [
      renderSlot(_ctx.$slots, "rating-icon-filled")
    ]),
    "empty-icon": withCtx(() => [
      renderSlot(_ctx.$slots, "rating-icon-empty")
    ]),
    _: 3
    /* FORWARDED */
  }, 8, ["value", "max"]);
}
var baseRatingFilterLabel = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);

export { baseRatingFilterLabel as default };
//# sourceMappingURL=base-rating-filter-label.vue.js.map
