import _sfc_main from './items-list.vue2.js';
import { openBlock, createBlock, resolveDynamicComponent, withCtx, createElementBlock, Fragment, renderList, normalizeClass, renderSlot, createTextVNode, toDisplayString, createCommentVNode } from 'vue';
import _export_sfc from '../_virtual/_plugin-vue_export-helper.js';

const _hoisted_1 = ["data-test"];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return _ctx.items.length ? (openBlock(), createBlock(resolveDynamicComponent(_ctx.animation), {
    key: 0,
    tag: "ul",
    class: "x-items-list",
    "data-test": "items-list"
  }, {
    default: withCtx(() => [
      (openBlock(true), createElementBlock(
        Fragment,
        null,
        renderList(_ctx.computedItems, (item) => {
          return openBlock(), createElementBlock("li", {
            key: item.id,
            class: normalizeClass(["x-items-list__item", item.class]),
            "data-test": item.dataTest
          }, [
            renderSlot(_ctx.$slots, item.slotName, { item }, () => [
              createTextVNode(
                toDisplayString(item.id),
                1
                /* TEXT */
              )
            ])
          ], 10, _hoisted_1);
        }),
        128
        /* KEYED_FRAGMENT */
      ))
    ]),
    _: 3
    /* FORWARDED */
  })) : createCommentVNode("v-if", true);
}
var ItemsList = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);

export { ItemsList as default };
//# sourceMappingURL=items-list.vue.js.map
