import _sfc_main from './single-column-layout.vue2.js';
import { resolveComponent, openBlock, createElementBlock, normalizeClass, renderSlot, createCommentVNode, createVNode, withCtx, createBlock } from 'vue';
import './single-column-layout.vue3.js';
import _export_sfc from '../../_virtual/_plugin-vue_export-helper.js';

const _hoisted_1 = {
  key: 0,
  class: "x-layout__header x-list x-list--horizontal"
};
const _hoisted_2 = {
  key: 0,
  class: "slot-helper"
};
const _hoisted_3 = {
  key: 1,
  class: "x-layout__sub-header x-list x-list--horizontal"
};
const _hoisted_4 = {
  key: 0,
  class: "slot-helper"
};
const _hoisted_5 = {
  key: 2,
  class: "x-layout__toolbar x-list x-list--horizontal"
};
const _hoisted_6 = {
  key: 0,
  class: "slot-helper"
};
const _hoisted_7 = {
  key: 3,
  class: "x-layout__predictive x-list x-list--vertical"
};
const _hoisted_8 = {
  key: 0,
  class: "slot-helper"
};
const _hoisted_9 = {
  key: 4,
  class: "x-layout__main"
};
const _hoisted_10 = {
  key: 0,
  class: "slot-helper"
};
const _hoisted_11 = {
  key: 5,
  class: "x-layout__floating x-list x-list--horizontal"
};
const _hoisted_12 = {
  key: 0,
  class: "slot-helper"
};
const _hoisted_13 = {
  key: 6,
  class: "x-layout__footer x-list x-list--horizontal"
};
const _hoisted_14 = {
  key: 0,
  class: "slot-helper"
};
const _hoisted_15 = {
  key: 0,
  class: "slot-helper"
};
const _hoisted_16 = {
  key: 0,
  class: "slot-helper"
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_BaseScroll = resolveComponent("BaseScroll");
  const _component_Scroll = resolveComponent("Scroll");
  const _component_MainScroll = resolveComponent("MainScroll");
  const _component_BaseIdModal = resolveComponent("BaseIdModal");
  return openBlock(), createElementBlock(
    "div",
    {
      class: normalizeClass(["x-layout x-layout--single-column", { "dev-mode": _ctx.devMode }])
    },
    [
      _ctx.devMode || _ctx.$slots.header ? (openBlock(), createElementBlock("header", _hoisted_1, [
        renderSlot(_ctx.$slots, "header", {}, () => [
          _ctx.devMode ? (openBlock(), createElementBlock("span", _hoisted_2, "HEADER")) : createCommentVNode("v-if", true)
        ], true)
      ])) : createCommentVNode("v-if", true),
      _ctx.devMode || _ctx.$slots["sub-header"] ? (openBlock(), createElementBlock("div", _hoisted_3, [
        renderSlot(_ctx.$slots, "sub-header", {}, () => [
          _ctx.devMode ? (openBlock(), createElementBlock("span", _hoisted_4, "SUB HEADER")) : createCommentVNode("v-if", true)
        ], true)
      ])) : createCommentVNode("v-if", true),
      _ctx.devMode || _ctx.$slots.toolbar ? (openBlock(), createElementBlock("div", _hoisted_5, [
        renderSlot(_ctx.$slots, "toolbar", {}, () => [
          _ctx.devMode ? (openBlock(), createElementBlock("span", _hoisted_6, "TOOLBAR")) : createCommentVNode("v-if", true)
        ], true)
      ])) : createCommentVNode("v-if", true),
      _ctx.devMode || _ctx.$slots.predictive ? (openBlock(), createElementBlock("div", _hoisted_7, [
        createVNode(_component_BaseScroll, { class: "x-layout__predictive-scroll x-list x-list--vertical x-list__item--expand" }, {
          default: withCtx(() => [
            renderSlot(_ctx.$slots, "predictive", {}, () => [
              _ctx.devMode ? (openBlock(), createElementBlock("span", _hoisted_8, "PREDICTIVE")) : createCommentVNode("v-if", true)
            ], true)
          ]),
          _: 3
          /* FORWARDED */
        })
      ])) : createCommentVNode("v-if", true),
      _ctx.devMode || _ctx.$slots.main ? (openBlock(), createElementBlock("main", _hoisted_9, [
        createVNode(_component_MainScroll, null, {
          default: withCtx(() => [
            createVNode(_component_Scroll, {
              id: "main-scroll",
              class: "x-layout__main-scroll x-list x-list--vertical"
            }, {
              default: withCtx(() => [
                renderSlot(_ctx.$slots, "main", {}, () => [
                  _ctx.devMode ? (openBlock(), createElementBlock("span", _hoisted_10, "MAIN")) : createCommentVNode("v-if", true)
                ], true)
              ]),
              _: 3
              /* FORWARDED */
            })
          ]),
          _: 3
          /* FORWARDED */
        })
      ])) : createCommentVNode("v-if", true),
      _ctx.devMode || _ctx.$slots.floating ? (openBlock(), createElementBlock("div", _hoisted_11, [
        renderSlot(_ctx.$slots, "floating", {}, () => [
          _ctx.devMode ? (openBlock(), createElementBlock("span", _hoisted_12, "FLOATING")) : createCommentVNode("v-if", true)
        ], true)
      ])) : createCommentVNode("v-if", true),
      _ctx.devMode || _ctx.$slots.footer ? (openBlock(), createElementBlock("footer", _hoisted_13, [
        renderSlot(_ctx.$slots, "footer", {}, () => [
          _ctx.devMode ? (openBlock(), createElementBlock("span", _hoisted_14, "FOOTER")) : createCommentVNode("v-if", true)
        ], true)
      ])) : createCommentVNode("v-if", true),
      _ctx.devMode || _ctx.$slots.aside ? (openBlock(), createBlock(_component_BaseIdModal, {
        key: 7,
        animation: _ctx.asideAnimation,
        "modal-id": "aside-modal",
        class: "x-layout__aside"
      }, {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "aside", {}, () => [
            _ctx.devMode ? (openBlock(), createElementBlock("span", _hoisted_15, "ASIDE")) : createCommentVNode("v-if", true)
          ], true)
        ]),
        _: 3
        /* FORWARDED */
      }, 8, ["animation"])) : createCommentVNode("v-if", true),
      renderSlot(_ctx.$slots, "extra-aside", {}, () => [
        _ctx.devMode ? (openBlock(), createElementBlock("span", _hoisted_16, "EXTRA ASIDE")) : createCommentVNode("v-if", true)
      ], true)
    ],
    2
    /* CLASS */
  );
}
var singleColumnLayout = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-9dd00b61"]]);

export { singleColumnLayout as default };
//# sourceMappingURL=single-column-layout.vue.js.map
