import { defineComponent } from 'vue';
import BaseEventsModalClose from './base-events-modal-close.vue.js';

/**
 * Button to close the {@link MainModal}.
 *
 * @public
 */
var _sfc_main = defineComponent({
    components: {
        BaseEventsModalClose,
    },
    setup() {
        /**
         * Event to be emitted to close the {@link MainModal}.
         *
         * @internal
         */
        const closingEvent = 'UserClickedCloseX';
        return {
            closingEvent,
        };
    },
});

export { _sfc_main as default };
//# sourceMappingURL=close-main-modal.vue2.js.map
