import { defineComponent } from 'vue';
import BaseEventsModalOpen from './base-events-modal-open.vue.js';

/**
 * Button to open the {@link MainModal}.
 *
 * @public
 */
var _sfc_main = defineComponent({
    components: {
        BaseEventsModalOpen,
    },
    setup() {
        /**
         * Event to be emitted to open the {@link MainModal}.
         *
         * @internal
         */
        const openingEvent = 'UserClickedOpenX';
        return {
            openingEvent,
        };
    },
});

export { _sfc_main as default };
//# sourceMappingURL=open-main-modal.vue2.js.map
