import _sfc_main from './base-result-image.vue2.js';
import { openBlock, createElementBlock, normalizeStyle, createCommentVNode, createBlock, resolveDynamicComponent, withCtx, renderSlot } from 'vue';
import './base-result-image.vue3.js';
import _export_sfc from '../../_virtual/_plugin-vue_export-helper.js';

const _hoisted_1 = ["src"];
const _hoisted_2 = ["alt", "src"];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock(
    "div",
    {
      class: "x-result-picture x-picture",
      "data-test": "result-picture",
      onMouseenterOnce: _cache[2] || (_cache[2] = ($event) => _ctx.userHasHoveredImage = true),
      onMouseenter: _cache[3] || (_cache[3] = ($event) => _ctx.isHovering = true),
      onMouseleave: _cache[4] || (_cache[4] = ($event) => _ctx.isHovering = false)
    },
    [
      _ctx.shouldLoadNextImage ? (openBlock(), createElementBlock("img", {
        key: 0,
        loading: "lazy",
        src: _ctx.pendingImages[0],
        style: normalizeStyle(_ctx.loaderStyles),
        class: "x-picture-image",
        "data-test": "result-picture-loader",
        alt: "",
        role: "presentation",
        onLoad: _cache[0] || (_cache[0] = (...args) => _ctx.flagImageLoaded && _ctx.flagImageLoaded(...args)),
        onError: _cache[1] || (_cache[1] = (...args) => _ctx.flagImageAsFailed && _ctx.flagImageAsFailed(...args))
      }, null, 44, _hoisted_1)) : createCommentVNode("v-if", true),
      (openBlock(), createBlock(resolveDynamicComponent(_ctx.animation), {
        class: "x-picture-image",
        appear: false
      }, {
        default: withCtx(() => [
          !_ctx.loadedImages.length && !_ctx.pendingImages.length ? renderSlot(_ctx.$slots, "fallback", { key: 0 }, void 0, true) : !_ctx.loadedImages.length ? renderSlot(_ctx.$slots, "placeholder", { key: 1 }, void 0, true) : (openBlock(), createElementBlock("img", {
            key: _ctx.imageSrc,
            alt: _ctx.result.name,
            src: _ctx.imageSrc,
            class: "x-result-picture-image",
            "data-test": "result-picture-image"
          }, null, 8, _hoisted_2))
        ]),
        _: 3
        /* FORWARDED */
      }))
    ],
    32
    /* NEED_HYDRATION */
  );
}
var baseResultImage = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-17531567"]]);

export { baseResultImage as default };
//# sourceMappingURL=base-result-image.vue.js.map
