import _sfc_main from './sliding-panel.vue2.js';
import { openBlock, createElementBlock, normalizeClass, renderSlot, createTextVNode, createCommentVNode, createElementVNode } from 'vue';
import './sliding-panel.vue3.js';
import _export_sfc from '../_virtual/_plugin-vue_export-helper.js';

function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return _ctx.slots.default ? (openBlock(), createElementBlock(
    "div",
    {
      key: 0,
      class: normalizeClass(["x-sliding-panel", _ctx.cssClasses]),
      "data-test": "sliding-panel"
    },
    [
      _ctx.showButtons ? (openBlock(), createElementBlock(
        "button",
        {
          key: 0,
          class: normalizeClass(["x-sliding-panel__button x-button x-sliding-panel-button-left", _ctx.buttonClass]),
          "data-test": "sliding-panel-left-button",
          onClick: _cache[0] || (_cache[0] = (...args) => _ctx.scrollLeft && _ctx.scrollLeft(...args))
        },
        [
          renderSlot(_ctx.$slots, "sliding-panel-left-button", {}, () => [
            createTextVNode("\u1438")
          ], true)
        ],
        2
        /* CLASS */
      )) : createCommentVNode("v-if", true),
      createElementVNode(
        "div",
        {
          ref: "scrollContainerRef",
          class: normalizeClass([_ctx.scrollContainerClass, "x-sliding-panel__scroll"]),
          "data-test": "sliding-panel-scroll",
          onScroll: _cache[1] || (_cache[1] = (...args) => _ctx.debouncedUpdateScroll && _ctx.debouncedUpdateScroll(...args)),
          onTransitionend: _cache[2] || (_cache[2] = (...args) => _ctx.debouncedUpdateScroll && _ctx.debouncedUpdateScroll(...args)),
          onAnimationend: _cache[3] || (_cache[3] = (...args) => _ctx.debouncedUpdateScroll && _ctx.debouncedUpdateScroll(...args))
        },
        [
          renderSlot(_ctx.$slots, "default", {}, void 0, true)
        ],
        34
        /* CLASS, NEED_HYDRATION */
      ),
      _ctx.showButtons ? (openBlock(), createElementBlock(
        "button",
        {
          key: 1,
          class: normalizeClass(["x-sliding-panel__button x-button x-sliding-panel-button-right", _ctx.buttonClass]),
          "data-test": "sliding-panel-right-button",
          onClick: _cache[4] || (_cache[4] = (...args) => _ctx.scrollRight && _ctx.scrollRight(...args))
        },
        [
          renderSlot(_ctx.$slots, "sliding-panel-right-button", {}, () => [
            createTextVNode("\u1433")
          ], true)
        ],
        2
        /* CLASS */
      )) : createCommentVNode("v-if", true)
    ],
    2
    /* CLASS */
  )) : createCommentVNode("v-if", true);
}
var SlidingPanel = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-9402d5ce"]]);

export { SlidingPanel as default };
//# sourceMappingURL=sliding-panel.vue.js.map
