/**
 * Sets the request status. Can be used as a mutation.
 *
 * @param state - The {@link https://vuex.vuejs.org/guide/state.html | state} provided by Vuex.
 * @param status - The new request status.
 * @public
 */
function setStatus(state, status) {
    state.status = status;
}

export { setStatus };
//# sourceMappingURL=status-store.utils.js.map
