import '@empathyco/x-utils';
import { createStoreEmitters } from '../../../store/utils/store-emitters.utils.js';
import { experienceControlsXStoreModule } from './module.js';

/**
 * {@link StoreEmitters} For the {@link ExperienceControlsXModule}.
 *
 * @internal
 */
const experienceControlsEmitters = createStoreEmitters(experienceControlsXStoreModule, {
    ExperienceControlsEventsChanged: {
        selector: state => state.events,
    },
    ExperienceControlsRequestUpdated: (_, getters) => getters.experienceControlsRequest,
});

export { experienceControlsEmitters };
//# sourceMappingURL=emitters.js.map
