import '@empathyco/x-utils';
import { createStoreEmitters } from '../../../store/utils/store-emitters.utils.js';
import { extraParamsXStoreModule } from './module.js';

/**
 * {@link StoreEmitters} For the {@link ExtraParamsXModule}.
 *
 * @internal
 */
const extraParamsEmitters = createStoreEmitters(extraParamsXStoreModule, {
    ExtraParamsChanged: {
        selector: state => state.params,
        metadata: { priority: 9 },
    },
});

export { extraParamsEmitters };
//# sourceMappingURL=emitters.js.map
