import _sfc_main from './filters-list.vue2.js';
import { openBlock, createBlock, resolveDynamicComponent, normalizeClass, withCtx, createElementBlock, Fragment, renderList, renderSlot, createCommentVNode } from 'vue';
import './filters-list.vue3.js';
import _export_sfc from '../../../../_virtual/_plugin-vue_export-helper.js';

function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return _ctx.hasFiltersToRender ? (openBlock(), createBlock(resolveDynamicComponent(_ctx.animation), {
    key: 0,
    tag: "ul",
    class: normalizeClass(["x-filters", _ctx.cssClasses]),
    "data-test": "base-filters"
  }, {
    default: withCtx(() => [
      (openBlock(true), createElementBlock(
        Fragment,
        null,
        renderList(_ctx.renderedFilters, (filter) => {
          return openBlock(), createElementBlock("li", {
            key: filter.id,
            class: "x-filters__item",
            "data-test": "base-filters-item"
          }, [
            renderSlot(_ctx.$slots, "default", { filter }, void 0, true)
          ]);
        }),
        128
        /* KEYED_FRAGMENT */
      ))
    ]),
    _: 3
    /* FORWARDED */
  }, 8, ["class"])) : createCommentVNode("v-if", true);
}
var FiltersList = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-98350b91"]]);

export { FiltersList as default };
//# sourceMappingURL=filters-list.vue.js.map
