import _sfc_main from './filters-search.vue2.js';
import { openBlock, createElementBlock, normalizeClass, renderSlot, normalizeProps, guardReactiveProps, createElementVNode } from 'vue';
import './filters-search.vue3.js';
import _export_sfc from '../../../../_virtual/_plugin-vue_export-helper.js';

const _hoisted_1 = ["value"];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock(
    "div",
    {
      class: normalizeClass(["x-filters-search", _ctx.cssClasses]),
      "data-test": "filters-search"
    },
    [
      renderSlot(_ctx.$slots, "search", normalizeProps(guardReactiveProps({ query: _ctx.query, setQuery: _ctx.setQuery, clearQuery: _ctx.clearQuery })), () => [
        createElementVNode("input", {
          value: _ctx.query,
          type: "search",
          class: "x-filters-search__input x-input",
          "data-test": "filters-search-input",
          "aria-label": "search into the filter values",
          onInput: _cache[0] || (_cache[0] = ($event) => _ctx.setQuery($event.target.value))
        }, null, 40, _hoisted_1)
      ], true),
      renderSlot(_ctx.$slots, "default", { siftedFilters: _ctx.siftedFilters }, void 0, true)
    ],
    2
    /* CLASS */
  );
}
var filtersSearch = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-4979a051"]]);

export { filtersSearch as default };
//# sourceMappingURL=filters-search.vue.js.map
