import _sfc_main from './selected-filters-list.vue2.js';
import { resolveComponent, openBlock, createBlock, withCtx, resolveDynamicComponent, createElementBlock, Fragment, renderList, renderSlot, createElementVNode, toDisplayString, createTextVNode } from 'vue';
import _export_sfc from '../../../../_virtual/_plugin-vue_export-helper.js';

const _hoisted_1 = { class: "x-tag" };
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_SelectedFilters = resolveComponent("SelectedFilters");
  return openBlock(), createBlock(_component_SelectedFilters, {
    "facets-ids": _ctx.facetsIds,
    "always-visible": _ctx.alwaysVisible
  }, {
    default: withCtx(() => [
      (openBlock(), createBlock(resolveDynamicComponent(_ctx.animation), {
        class: "x-selected-filters-list",
        "data-test": "selected-filters-list",
        tag: "ul"
      }, {
        default: withCtx(() => [
          (openBlock(true), createElementBlock(
            Fragment,
            null,
            renderList(_ctx.mapSlot(_ctx.selectedFilters), ({ slotName, selectedFilter }) => {
              return openBlock(), createElementBlock("li", {
                key: selectedFilter.id,
                class: "x-selected-filters-list__item",
                "data-test": "selected-filters-list-item"
              }, [
                _ctx.hasSlot(slotName) ? renderSlot(_ctx.$slots, slotName, {
                  key: 0,
                  filter: selectedFilter
                }, () => [
                  createElementVNode(
                    "span",
                    _hoisted_1,
                    toDisplayString(selectedFilter.label),
                    1
                    /* TEXT */
                  )
                ]) : renderSlot(_ctx.$slots, "default", {
                  key: 1,
                  filter: selectedFilter
                }, () => [
                  createTextVNode(
                    toDisplayString(selectedFilter.label),
                    1
                    /* TEXT */
                  )
                ])
              ]);
            }),
            128
            /* KEYED_FRAGMENT */
          ))
        ]),
        _: 3
        /* FORWARDED */
      }))
    ]),
    _: 3
    /* FORWARDED */
  }, 8, ["facets-ids", "always-visible"]);
}
var selectedFiltersList = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);

export { selectedFiltersList as default };
//# sourceMappingURL=selected-filters-list.vue.js.map
