import _sfc_main from './sliced-filters.vue2.js';
import { openBlock, createElementBlock, normalizeClass, renderSlot, Fragment, createTextVNode, createElementVNode, toDisplayString, createCommentVNode } from 'vue';
import _export_sfc from '../../../../_virtual/_plugin-vue_export-helper.js';

const _hoisted_1 = { "data-test": "show-more-amount" };
const _hoisted_2 = { "data-test": "show-less-amount" };
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock(
    "div",
    {
      class: normalizeClass(["x-sliced-filters", _ctx.cssClasses]),
      "data-test": "filters-show-more"
    },
    [
      renderSlot(_ctx.$slots, "default", { slicedFilters: _ctx.slicedFilters }),
      _ctx.showButton ? (openBlock(), createElementBlock(
        Fragment,
        { key: 0 },
        [
          _ctx.showMoreFilters ? (openBlock(), createElementBlock(
            "button",
            {
              key: 0,
              class: normalizeClass(["x-facet-filter x-sliced-filters__button x-sliced-filters__button--show-more", _ctx.buttonClass]),
              "data-test": "sliced-filters-show-more-button",
              onClick: _cache[0] || (_cache[0] = (...args) => _ctx.toggleShowMoreFilters && _ctx.toggleShowMoreFilters(...args))
            },
            [
              renderSlot(_ctx.$slots, "show-more", { difference: _ctx.difference }, () => [
                createTextVNode(" Show "),
                createElementVNode(
                  "span",
                  _hoisted_1,
                  toDisplayString(_ctx.difference),
                  1
                  /* TEXT */
                ),
                createTextVNode(" more filters ")
              ])
            ],
            2
            /* CLASS */
          )) : (openBlock(), createElementBlock(
            "button",
            {
              key: 1,
              class: normalizeClass(["x-facet-filter x-sliced-filters__button x-sliced-filters__button--show-less", _ctx.buttonClass]),
              "data-test": "sliced-filters-show-less-button",
              onClick: _cache[1] || (_cache[1] = (...args) => _ctx.toggleShowMoreFilters && _ctx.toggleShowMoreFilters(...args))
            },
            [
              renderSlot(_ctx.$slots, "show-less", { difference: _ctx.difference }, () => [
                createTextVNode(" Show "),
                createElementVNode(
                  "span",
                  _hoisted_2,
                  toDisplayString(_ctx.difference),
                  1
                  /* TEXT */
                ),
                createTextVNode(" less filters ")
              ])
            ],
            2
            /* CLASS */
          ))
        ],
        64
        /* STABLE_FRAGMENT */
      )) : createCommentVNode("v-if", true)
    ],
    2
    /* CLASS */
  );
}
var slicedFilters = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);

export { slicedFilters as default };
//# sourceMappingURL=sliced-filters.vue.js.map
