import _sfc_main from './history-query.vue2.js';
import { resolveComponent, openBlock, createElementBlock, createVNode, mergeProps, withCtx, renderSlot, normalizeProps, guardReactiveProps, normalizeClass, createTextVNode } from 'vue';
import _export_sfc from '../../../_virtual/_plugin-vue_export-helper.js';

const _hoisted_1 = { class: "x-history-query x-suggestion-group" };
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_BaseSuggestion = resolveComponent("BaseSuggestion");
  const _component_RemoveHistoryQuery = resolveComponent("RemoveHistoryQuery");
  return openBlock(), createElementBlock("div", _hoisted_1, [
    createVNode(_component_BaseSuggestion, mergeProps({
      class: ["x-history-query__suggestion", _ctx.suggestionClass]
    }, { suggestion: _ctx.suggestion, suggestionSelectedEvents: _ctx.suggestionSelectedEvents, query: _ctx.query }, {
      "data-test": "history-query",
      feature: "history_query",
      onClick: _cache[0] || (_cache[0] = ($event) => _ctx.$emit("click", _ctx.suggestion, $event))
    }), {
      default: withCtx((baseScope) => [
        renderSlot(_ctx.$slots, "default", normalizeProps(guardReactiveProps({ ...baseScope })))
      ]),
      _: 3
      /* FORWARDED */
    }, 16, ["class"]),
    createVNode(_component_RemoveHistoryQuery, {
      class: normalizeClass(["x-history-query__remove x-suggestion-group-button", _ctx.removeButtonClass]),
      "history-query": _ctx.suggestion,
      "data-test": "remove-history-query"
    }, {
      default: withCtx(() => [
        renderSlot(_ctx.$slots, "remove-button-content", normalizeProps(guardReactiveProps({ suggestion: _ctx.suggestion })), () => [
          createTextVNode("\u2715")
        ])
      ]),
      _: 3
      /* FORWARDED */
    }, 8, ["class", "history-query"])
  ]);
}
var HistoryQuery = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);

export { HistoryQuery as default };
//# sourceMappingURL=history-query.vue.js.map
