/**
 * Default implementation for the {@link IdentifierResultsGetters.identifierDetectionRegexp} getter.
 *
 * @param state - Current {@link https://vuex.vuejs.org/guide/state.html | state} of the identifier
 * results module.
 * @returns The RegExp to detect and identifier.
 *
 * @public
 */
const identifierDetectionRegexp = ({ config }) => {
    return new RegExp(config.identifierDetectionRegexp);
};

export { identifierDetectionRegexp };
//# sourceMappingURL=identifier-detection-regexp.getter.js.map
