import _sfc_main from './next-query.vue2.js';
import { resolveComponent, openBlock, createBlock, normalizeClass, withCtx, renderSlot, normalizeProps, guardReactiveProps } from 'vue';
import _export_sfc from '../../../_virtual/_plugin-vue_export-helper.js';

function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_BaseSuggestion = resolveComponent("BaseSuggestion");
  return openBlock(), createBlock(_component_BaseSuggestion, {
    class: normalizeClass(["x-next-query", { "x-next-query--is-curated": _ctx.shouldHighlightCurated }]),
    suggestion: _ctx.suggestion,
    "suggestion-selected-events": _ctx.events,
    "data-test": "next-query",
    feature: "next_query"
  }, {
    default: withCtx((baseScope) => [
      renderSlot(_ctx.$slots, "default", normalizeProps(guardReactiveProps({ ...baseScope, shouldHighlightCurated: _ctx.shouldHighlightCurated })))
    ]),
    _: 3
    /* FORWARDED */
  }, 8, ["suggestion", "suggestion-selected-events", "class"]);
}
var NextQuery = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);

export { NextQuery as default };
//# sourceMappingURL=next-query.vue.js.map
