import { createStoreEmitters } from '../../../store/utils/store-emitters.utils.js';
import { popularSearchesXStoreModule } from './module.js';

/**
 * {@link StoreEmitters} For the popular-searches module.
 *
 * @internal
 */
const popularSearchesEmitters = createStoreEmitters(popularSearchesXStoreModule, {
    PopularSearchesRequestUpdated: {
        selector: (_, getters) => getters.request,
    },
});

export { popularSearchesEmitters };
//# sourceMappingURL=emitters.js.map
