import _sfc_main from './query-preview-list.vue2.js';
import { resolveComponent, openBlock, createBlock, resolveDynamicComponent, withCtx, createElementBlock, Fragment, renderList, createVNode, createSlots, renderSlot, mergeProps } from 'vue';
import _export_sfc from '../../../_virtual/_plugin-vue_export-helper.js';

function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_QueryPreview = resolveComponent("QueryPreview");
  return openBlock(), createBlock(resolveDynamicComponent(_ctx.animation), {
    class: "x-query-preview-list",
    tag: "ul"
  }, {
    default: withCtx(() => [
      (openBlock(true), createElementBlock(
        Fragment,
        null,
        renderList(_ctx.renderedQueryPreviews, (queryPreview, index) => {
          return openBlock(), createElementBlock("li", {
            key: index,
            "data-test": "query-preview-item"
          }, [
            createVNode(_component_QueryPreview, {
              "debounce-time-ms": _ctx.debounceTimeMs,
              "max-items-to-render": _ctx.maxItemsToRender,
              "persist-in-cache": _ctx.persistInCache,
              "query-feature": _ctx.queryFeature,
              "query-preview-info": queryPreview,
              onLoad: _ctx.flagAsLoaded,
              onError: _ctx.flagAsFailed
            }, createSlots({
              _: 2
              /* DYNAMIC */
            }, [
              renderList(_ctx.$slots, (_, slotName) => {
                return {
                  name: slotName,
                  fn: withCtx((scope) => [
                    renderSlot(_ctx.$slots, slotName, mergeProps({ ref_for: true }, scope))
                  ])
                };
              })
            ]), 1032, ["debounce-time-ms", "max-items-to-render", "persist-in-cache", "query-feature", "query-preview-info", "onLoad", "onError"])
          ]);
        }),
        128
        /* KEYED_FRAGMENT */
      ))
    ]),
    _: 3
    /* FORWARDED */
  });
}
var queryPreviewList = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);

export { queryPreviewList as default };
//# sourceMappingURL=query-preview-list.vue.js.map
