import '@empathyco/x-utils';
import { createStoreEmitters } from '../../../store/utils/store-emitters.utils.js';
import { querySuggestionsXStoreModule } from './module.js';

/**
 * {@link StoreEmitters} For the query-suggestions module.
 *
 * @internal
 */
const querySuggestionsEmitters = createStoreEmitters(querySuggestionsXStoreModule, {
    QuerySuggestionsChanged: state => state.suggestions,
    QuerySuggestionsRequestUpdated: (_, getters) => getters.request,
});

export { querySuggestionsEmitters };
//# sourceMappingURL=emitters.js.map
