import { normalizeString } from '../../../../utils/normalize.js';

/**
 * Default implementation for the {@link QuerySuggestionsGetters.normalizedQuery} getter.
 *
 * @param state - Current {@link https://vuex.vuejs.org/guide/state.html | state} of the query
 * suggestions module.
 * @returns The normalized query.
 * @public
 */
const normalizedQuery = ({ query, }) => normalizeString(query);

export { normalizedQuery };
//# sourceMappingURL=normalized-query.getter.js.map
