import '@empathyco/x-utils';
import { createStoreEmitters } from '../../../store/utils/store-emitters.utils.js';
import { recommendationsXStoreModule } from './module.js';

/**
 * {@link StoreEmitters} For the recommendations module.
 *
 * @internal
 */
const recommendationsEmitters = createStoreEmitters(recommendationsXStoreModule, {
    RecommendationsChanged: state => state.recommendations,
    RecommendationsRequestUpdated: {
        selector: (_, getters) => getters.request,
    },
});

export { recommendationsEmitters };
//# sourceMappingURL=emitters.js.map
