import '@empathyco/x-utils';
import { createStoreEmitters } from '../../../store/utils/store-emitters.utils.js';
import { relatedPromptsXStoreModule } from './module.js';

/**
 * {@link StoreEmitters} For the related-prompts module.
 *
 * @internal
 */
const relatedPromptsStoreEmitters = createStoreEmitters(relatedPromptsXStoreModule, {
    RelatedPromptsRequestUpdated: (_, getters) => getters.request,
    SelectedRelatedPromptChanged: state => state.selectedPrompt,
    RelatedPromptsResponseChanged: state => state.relatedPrompts,
});

export { relatedPromptsStoreEmitters };
//# sourceMappingURL=emitters.js.map
