import _sfc_main from './related-tags.vue2.js';
import { resolveComponent, openBlock, createBlock, resolveDynamicComponent, withCtx, createElementBlock, Fragment, renderList, renderSlot, mergeProps, createVNode, normalizeClass, createCommentVNode } from 'vue';
import './related-tags.vue3.js';
import _export_sfc from '../../../_virtual/_plugin-vue_export-helper.js';

function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_RelatedTag = resolveComponent("RelatedTag");
  return _ctx.relatedTags.length ? (openBlock(), createBlock(resolveDynamicComponent(_ctx.animation), {
    key: 0,
    tag: "ul",
    class: "x-related-tags",
    "data-test": "related-tags"
  }, {
    default: withCtx(() => [
      (openBlock(true), createElementBlock(
        Fragment,
        null,
        renderList(_ctx.relatedTags, (relatedTag) => {
          return openBlock(), createElementBlock("li", {
            key: relatedTag.query,
            class: "x-related-tags__item",
            "data-test": "related-tag-item"
          }, [
            renderSlot(_ctx.$slots, "related-tag", mergeProps({ ref_for: true }, { relatedTag, highlightCurated: _ctx.highlightCurated }), () => [
              createVNode(_component_RelatedTag, {
                "highlight-curated": _ctx.highlightCurated,
                "related-tag": relatedTag,
                class: normalizeClass(_ctx.itemClass)
              }, {
                default: withCtx(({ relatedTag: relatedTagBinding, isSelected, shouldHighlightCurated }) => [
                  renderSlot(_ctx.$slots, "related-tag-content", mergeProps({ ref_for: true }, { relatedTag: relatedTagBinding, isSelected, shouldHighlightCurated }), void 0, true)
                ]),
                _: 2
                /* DYNAMIC */
              }, 1032, ["highlight-curated", "related-tag", "class"])
            ], true)
          ]);
        }),
        128
        /* KEYED_FRAGMENT */
      ))
    ]),
    _: 3
    /* FORWARDED */
  })) : createCommentVNode("v-if", true);
}
var relatedTags = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-122f740d"]]);

export { relatedTags as default };
//# sourceMappingURL=related-tags.vue.js.map
