/**
 * Default implementation for the {@link RelatedTagsGetters.relatedTags} getter.
 *
 * @param state - Current {@link https://vuex.vuejs.org/guide/state.html | state} of the related
 * tags module.
 * @returns The related tags.
 * @public
 */
const relatedTags = ({ relatedTags, selectedRelatedTags, }) => [...selectedRelatedTags, ...relatedTags];

export { relatedTags };
//# sourceMappingURL=related-tags.getter.js.map
