import _sfc_main from './banner.vue2.js';
import { openBlock, createBlock, resolveDynamicComponent, mergeProps, toHandlers, withCtx, createElementVNode, createElementBlock, normalizeClass, toDisplayString, createCommentVNode } from 'vue';
import './banner.vue3.js';
import _export_sfc from '../../../_virtual/_plugin-vue_export-helper.js';

const _hoisted_1 = ["src", "alt"];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return !_ctx.imageFailed ? (openBlock(), createBlock(resolveDynamicComponent(_ctx.banner.url ? "a" : "figure"), mergeProps({
    key: 0,
    href: _ctx.banner.url,
    class: "x-banner",
    "data-test": "banner"
  }, toHandlers(_ctx.banner.url ? _ctx.anchorEvents() : {})), {
    default: withCtx(() => [
      createElementVNode("img", {
        src: _ctx.banner.image,
        alt: _ctx.banner.title ? _ctx.banner.title : "Banner",
        class: "x-banner__image",
        "data-test": "banner-image",
        onError: _cache[0] || (_cache[0] = ($event) => _ctx.imageFailed = true)
      }, null, 40, _hoisted_1),
      _ctx.banner.title ? (openBlock(), createElementBlock(
        "h2",
        {
          key: 0,
          class: normalizeClass(["x-banner__title", _ctx.titleClass]),
          "data-test": "banner-title"
        },
        toDisplayString(_ctx.banner.title),
        3
        /* TEXT, CLASS */
      )) : createCommentVNode("v-if", true)
    ]),
    _: 1
    /* STABLE */
  }, 16, ["href"])) : createCommentVNode("v-if", true);
}
var banner = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-569db620"]]);

export { banner as default };
//# sourceMappingURL=banner.vue.js.map
