import _sfc_main from './sort-list.vue2.js';
import { resolveComponent, openBlock, createBlock, resolveDynamicComponent, withCtx, createElementBlock, Fragment, renderList, normalizeClass, createVNode, renderSlot, mergeProps, createTextVNode, toDisplayString } from 'vue';
import './sort-list.vue3.js';
import _export_sfc from '../../../_virtual/_plugin-vue_export-helper.js';

function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_BaseEventButton = resolveComponent("BaseEventButton");
  return openBlock(), createBlock(resolveDynamicComponent(_ctx.animation), {
    tag: "ul",
    class: "x-option-list x-sort-list",
    "data-test": "sort-list"
  }, {
    default: withCtx(() => [
      (openBlock(true), createElementBlock(
        Fragment,
        null,
        renderList(_ctx.listItems, ({ item, cssClasses, event }) => {
          return openBlock(), createElementBlock(
            "li",
            {
              key: item,
              class: normalizeClass([cssClasses, "x-option-list__item x-sort-list__item"])
            },
            [
              createVNode(_component_BaseEventButton, {
                class: "x-sort-list__button x-button",
                "data-test": "x-sort-button",
                events: event
              }, {
                default: withCtx(() => [
                  renderSlot(_ctx.$slots, "default", mergeProps({ ref_for: true }, { item, isSelected: item === _ctx.selectedSort }), () => [
                    createTextVNode(
                      toDisplayString(item),
                      1
                      /* TEXT */
                    )
                  ], true)
                ]),
                _: 2
                /* DYNAMIC */
              }, 1032, ["events"])
            ],
            2
            /* CLASS */
          );
        }),
        128
        /* KEYED_FRAGMENT */
      ))
    ]),
    _: 3
    /* FORWARDED */
  });
}
var sortList = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-834b0328"]]);

export { sortList as default };
//# sourceMappingURL=sort-list.vue.js.map
