import _sfc_main from './semantic-query.vue2.js';
import { resolveComponent, openBlock, createBlock, withCtx, renderSlot, normalizeProps, guardReactiveProps } from 'vue';
import _export_sfc from '../../../_virtual/_plugin-vue_export-helper.js';

function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_BaseSuggestion = resolveComponent("BaseSuggestion");
  return openBlock(), createBlock(_component_BaseSuggestion, {
    query: _ctx.query,
    suggestion: _ctx.suggestion,
    "suggestion-selected-events": _ctx.suggestionSelectedEvents,
    feature: "semantics",
    "data-test": "semantic-query"
  }, {
    default: withCtx((baseScope) => [
      renderSlot(_ctx.$slots, "default", normalizeProps(guardReactiveProps({ ...baseScope })))
    ]),
    _: 3
    /* FORWARDED */
  }, 8, ["query", "suggestion", "suggestion-selected-events"]);
}
var SemanticQuery = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);

export { SemanticQuery as default };
//# sourceMappingURL=semantic-query.vue.js.map
