import { createStoreEmitters } from '../../../store/utils/store-emitters.utils.js';
import { semanticQueriesXStoreModule } from './module.js';

/**
 * {@link StoreEmitters} For the semantic-queries module.
 *
 * @internal
 */
const semanticQueriesEmitters = createStoreEmitters(semanticQueriesXStoreModule, {
    SemanticQueryRequestUpdated: (_, getters) => getters.request,
    SemanticQueriesResponseChanged: state => state.semanticQueries,
});

export { semanticQueriesEmitters };
//# sourceMappingURL=emitters.js.map
