/**
 * Renders a transition wrapping the element passed in the default slot. The transition
 * fades between the two toggled elements at the same time.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /**
     * Indicates if the transition must be applied on the initial render of the node.
     */
    appear: {
        type: BooleanConstructor;
        default: boolean;
    };
}, unknown, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * Indicates if the transition must be applied on the initial render of the node.
     */
    appear: {
        type: BooleanConstructor;
        default: boolean;
    };
}>>, {
    appear: boolean;
}, {}>;
export default _default;
//# sourceMappingURL=cross-fade.vue?vue&type=script&lang.d.ts.map