/**
 * Component that allows to open a modal by emitting {@link XEventsTypes.UserClickedOpenModal}
 * with the modalId as payload. It allows full customization with the 'opening-element' slot and
 * exposes the 'openModal' function.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /** The modalId of the modal that will be opened. */
    modalId: {
        type: StringConstructor;
        required: true;
    };
}, {
    openModal: ({ target }: Event) => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /** The modalId of the modal that will be opened. */
    modalId: {
        type: StringConstructor;
        required: true;
    };
}>>, {}, {}>;
export default _default;
//# sourceMappingURL=base-id-modal-open.vue?vue&type=script&lang.d.ts.map