import type { Result } from '@empathyco/x-types';
import type { PropType } from 'vue';
/**
 * This component renders a {@link BaseRating} for a result passed as prop.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /**
     * The {@link @empathyco/x-types#Result} to render its rating.
     *
     * @public
     */
    result: {
        type: PropType<Result>;
        required: true;
    };
    /**
     * A link to redirect when rating is clicked.
     *
     * @public
     */
    link: {
        type: StringConstructor;
    };
}, {
    el: import("vue").Ref<HTMLElement | null | undefined>;
    emitClickedEvent: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * The {@link @empathyco/x-types#Result} to render its rating.
     *
     * @public
     */
    result: {
        type: PropType<Result>;
        required: true;
    };
    /**
     * A link to redirect when rating is clicked.
     *
     * @public
     */
    link: {
        type: StringConstructor;
    };
}>>, {}, {}>;
export default _default;
//# sourceMappingURL=base-result-rating.vue?vue&type=script&lang.d.ts.map