/**
 * Checks if the user is on an iOS device (iPhone, iPad, or iPod).
 *
 * @returns `true` if the user is on iOS, `false` otherwise.
 *
 * @public
 */
export declare const isIOS: () => boolean;
/**
 * Removes focus from the search input element if it is currently focused.
 * This function checks if the active element in the document matches the
 * selector '.x-search-input' and, if so, blurs the element to remove focus.
 *
 * @public
 */
export declare const removeSearchInputFocus: () => void;
//# sourceMappingURL=ios-utils.d.ts.map