import type { PropType } from 'vue';
import type { VueCSSClasses } from '../../../utils/types';
import type { XEventsTypes } from '../../../wiring/events.types';
/**
 * Renders a simple button, emitting the needed events when clicked.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /** Array of facets ids used to get the selected filters for those facets. */
    facetsIds: PropType<(string | number)[]>;
    /** Flag to render the component even if there are no filters selected. */
    alwaysVisible: BooleanConstructor;
}, {
    selectedFilters: import("vue").ComputedRef<import("@empathyco/x-types").Filter[]>;
    hasSelectedFilters: import("vue").ComputedRef<boolean>;
    isVisible: import("vue").ComputedRef<boolean>;
    events: import("vue").ComputedRef<Partial<XEventsTypes>>;
    cssClasses: import("vue").ComputedRef<VueCSSClasses>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /** Array of facets ids used to get the selected filters for those facets. */
    facetsIds: PropType<(string | number)[]>;
    /** Flag to render the component even if there are no filters selected. */
    alwaysVisible: BooleanConstructor;
}>>, {
    alwaysVisible: boolean;
}, {}>;
export default _default;
//# sourceMappingURL=clear-filters.vue?vue&type=script&lang.d.ts.map