import type { PropType } from 'vue';
/**
 * This component emits {@link FacetsXEvents.PreselectedFiltersProvided} when a preselected filter
 * is set in the snippet config or by using the prop of the component.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /**
     * A list of filters to preselect.
     *
     * @remarks Emits the {@link FacetsXEvents.PreselectedFiltersProvided} when the
     * component is created.
     *
     * @public
     */
    filters: {
        type: PropType<string[]>;
        default: () => never[];
    };
}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}> | "", unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * A list of filters to preselect.
     *
     * @remarks Emits the {@link FacetsXEvents.PreselectedFiltersProvided} when the
     * component is created.
     *
     * @public
     */
    filters: {
        type: PropType<string[]>;
        default: () => never[];
    };
}>>, {
    filters: string[];
}, {}>;
export default _default;
//# sourceMappingURL=preselected-filters.vue?vue&type=script&lang.d.ts.map