import { areFiltersDifferent } from '../../../utils/filters';
import { isNewQuery } from '../../../utils/is-new-query';
/**
 * {@link StoreEmitters} For the facets module.
 *
 * @internal
 */
export declare const facetsEmitters: {
    SelectedFiltersChanged: {
        selector: (_: import("./types").FacetsState, getters: import("../../..").Returns<import("../../..").GettersTree<import("./types").FacetsState, import("./types").FacetsGetters>>) => import("@empathyco/x-types").Filter[];
        filter: typeof areFiltersDifferent;
        metadata: {
            priority: number;
        };
    };
    SelectedFiltersForRequestChanged: {
        selector: (_: import("./types").FacetsState, getters: import("../../..").Returns<import("../../..").GettersTree<import("./types").FacetsState, import("./types").FacetsGetters>>) => import("@empathyco/x-types").Filter[];
        filter: typeof areFiltersDifferent;
        metadata: {
            priority: number;
        };
    };
    FacetsQueryChanged: {
        selector: (state: import("./types").FacetsState) => string;
        filter: typeof isNewQuery;
    };
};
//# sourceMappingURL=emitters.d.ts.map