import type { HierarchicalFilter } from '@empathyco/x-types';
/**
 * This function flattens the Hierarchical Filters, returning an array with all filters including
 * the children.
 *
 * @param hierarchicalFilters - The list of Hierarchical Filters to flatten.
 * @returns An array with all the Hierarchical filters.
 *
 * @public
 */
export declare function flatHierarchicalFilters(hierarchicalFilters: HierarchicalFilter[]): HierarchicalFilter[];
//# sourceMappingURL=utils.d.ts.map