import type { Result } from '@empathyco/x-types';
import type { PropType } from 'vue';
/**
 * This component renders an identifier result value and highlights its matching part with the
 * query from the state. Receives as prop the {@link @empathyco/x-types#Result} data.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /**
     * (Required) The {@link @empathyco/x-types#Result} information.
     *
     * @public
     */
    result: {
        type: PropType<Result>;
        required: true;
    };
}, {
    query: import("vue").ComputedRef<string>;
    highlightedQueryHTML: import("vue").ComputedRef<string>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * (Required) The {@link @empathyco/x-types#Result} information.
     *
     * @public
     */
    result: {
        type: PropType<Result>;
        required: true;
    };
}>>, {}, {}>;
export default _default;
//# sourceMappingURL=identifier-result.vue?vue&type=script&lang.d.ts.map