/**
 * {@link StoreEmitters} For the identifier-results module.
 *
 * @internal
 */
export declare const identifierResultsEmitters: {
    IdentifierResultsChanged: {
        selector: (state: import("./types").IdentifierResultsState) => import("@empathyco/x-types").Result[];
        filter: (newCollection: import("@empathyco/x-types").Result[], oldCollection: import("@empathyco/x-types").Result[]) => boolean;
    };
    IdentifierResultsRequestUpdated: (_: import("./types").IdentifierResultsState, getters: import("../../..").Returns<import("../../../store").GettersTree<import("./types").IdentifierResultsState, import("./types").IdentifierResultsGetters>>) => import("@empathyco/x-types").IdentifierResultsRequest | null;
};
//# sourceMappingURL=emitters.d.ts.map