import type { NextQueriesXStoreModule } from '../types';
/**
 * Default implementation for the {@link NextQueriesActions.fetchNextQueryPreview}.
 *
 * @param context - The {@link https://vuex.vuejs.org/guide/actions.html | context} of the actions,
 * provided by Vuex.
 * @param context.state - state context.
 * @param payload - The next query and the {@link FeatureLocation | location} to send in the
 * request.
 * @param payload.query - query payload.
 * @param payload.location - query payload.
 * @returns A Promise of a SearchResponse when it fetches the results, `null` if the request was
 * not made.
 */
export declare const fetchNextQueryPreview: NextQueriesXStoreModule['actions']['fetchNextQueryPreview'];
//# sourceMappingURL=fetch-next-query-preview.action.d.ts.map