/**
 * Simple popular-searches component that renders a list of suggestions, allowing the user to
 * select one of them, and emitting the needed events.
 * A popular search is just a query that has been searched a lot in a certain period and may
 * optionally have associated a set of filters.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{}, {
    popularSearches: import("vue").ComputedRef<import("@empathyco/x-types").Suggestion[]>;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}, {}>;
export default _default;
//# sourceMappingURL=popular-searches.vue?vue&type=script&lang.d.ts.map