import type { PopularSearchesXStoreModule } from '../types';
/**
 * Default implementation for the {@link PopularSearchesActions.fetchSuggestions}.
 *
 * @param _context - The {@link https://vuex.vuejs.org/guide/actions.html | context} of the actions,
 * provided by Vuex.
 * @param request - The popular searches request to make.
 * @returns A Promise of search response that resolves when it fetches the popular searches.
 *
 * @public
 */
export declare const fetchSuggestions: PopularSearchesXStoreModule['actions']['fetchSuggestions'];
//# sourceMappingURL=fetch-suggestions.action.d.ts.map