import type { PopularSearchesXStoreModule } from '../types';
/**
 * Default implementation for the {@link PopularSearchesGetters.popularSearches} getter.
 *
 * @param state - Current {@link https://vuex.vuejs.org/guide/state.html | state} of the
 * popular searches module.
 * @returns The popular searches, filtered by the searched queries or not, depending of the
 * `hideSessionQueries` config.
 * @public
 */
export declare const popularSearches: PopularSearchesXStoreModule['getters']['popularSearches'];
//# sourceMappingURL=popular-searches.getter.d.ts.map