/**
 * Sets the popular searches state `searchedQueries` with the list of history queries.
 *
 * @public
 */
export declare const setSearchedQueriesInPopularSearches: import("../..").Wire<import("@empathyco/x-types").HistoryQuery[]>;
/**
 * Sets the popular searches state `params`.
 *
 * @public
 */
export declare const setPopularSearchesExtraParams: import("../..").Wire<import("@empathyco/x-utils").Dictionary<unknown>>;
/**
 * Wiring configuration for the popular searches modules.
 *
 * @internal
 */
export declare const popularSearchesWiring: {
    PopularSearchesRequestUpdated: {
        retrievePopularSuggestions: import("../..").Wire<import("@empathyco/x-types").PopularSearchesRequest>;
    };
    SessionHistoryQueriesChanged: {
        setSearchedQueriesInPopularSearches: import("../..").Wire<import("@empathyco/x-types").HistoryQuery[]>;
    };
    ExtraParamsChanged: {
        setPopularSearchesExtraParams: import("../..").Wire<import("@empathyco/x-utils").Dictionary<unknown>>;
    };
};
//# sourceMappingURL=wiring.d.ts.map