import type { QuerySuggestionsRequest } from '@empathyco/x-types';
import type { QuerySuggestionsActionContext } from '../types';
/**
 * Default implementation for {@link QuerySuggestionsActions.fetchAndSaveSuggestions} action.
 *
 * @public
 */
export declare const fetchAndSaveSuggestions: (context: QuerySuggestionsActionContext, request: QuerySuggestionsRequest | null) => void | Promise<void>;
/**
 * Default implementation for {@link QuerySuggestionsActions.cancelFetchAndSaveSuggestions} action.
 *
 * @public
 */
export declare const cancelFetchAndSaveSuggestions: () => void;
//# sourceMappingURL=fetch-and-save-suggestions.action.d.ts.map