/**
 * Sets the recommendations state `params`.
 *
 * @public
 */
export declare const setRecommendationsExtraParams: import("../..").Wire<import("@empathyco/x-utils").Dictionary<unknown>>;
/**
 * Wiring configuration for the {@link RecommendationsXModule | recommendations module}.
 *
 * @internal
 */
export declare const recommendationsWiring: {
    RecommendationsRequestUpdated: {
        fetchAndSaveRecommendations: import("../..").Wire<import("@empathyco/x-types").RecommendationsRequest | null>;
    };
    UserClickedColumnPicker: {};
    ExtraParamsChanged: {
        setRecommendationsExtraParams: import("../..").Wire<import("@empathyco/x-utils").Dictionary<unknown>>;
    };
};
//# sourceMappingURL=wiring.d.ts.map