import type { RelatedTagsXStoreModule } from '../types';
/**
 * Default implementation for the {@link RelatedTagsActions.fetchRelatedTags}.
 *
 * @param _context - The {@link https://vuex.vuejs.org/guide/actions.html | context} of the actions,
 * provided by Vuex.
 * @param request - The related tags request to make.
 * @returns A Promise of RelatedTag[] that resolves when it fetches related tags.
 *
 * @public
 */
export declare const fetchRelatedTags: RelatedTagsXStoreModule['actions']['fetchRelatedTags'];
//# sourceMappingURL=fetch-related-tags.action.d.ts.map