/**
 * {@link StoreEmitters} For the related-tags module.
 *
 * @internal
 */
export declare const relatedTagsEmitters: {
    RelatedTagsChanged: (state: import("./types").RelatedTagsState) => import("@empathyco/x-types").RelatedTag[];
    RelatedTagsRequestUpdated: (_: import("./types").RelatedTagsState, getters: import("../../..").Returns<import("../../../store").GettersTree<import("./types").RelatedTagsState, import("./types").RelatedTagsGetters>>) => import("@empathyco/x-types").RelatedTagsRequest | null;
    SelectedRelatedTagsChanged: {
        selector: (state: import("./types").RelatedTagsState) => import("@empathyco/x-types").RelatedTag[];
        filter: (newCollection: import("@empathyco/x-types").RelatedTag[], oldCollection: import("@empathyco/x-types").RelatedTag[]) => boolean;
    };
};
//# sourceMappingURL=emitters.d.ts.map