import type { Identifiable } from '@empathyco/x-types';
import type { Component, PropType, Ref } from 'vue';
/**
 * Wrapper for elements contained in the {@link MainScroll} that should store/restore its
 * position.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /** The item data. Used to set the scroll identifier. */
    item: {
        type: PropType<Identifiable<string | number>>;
        required: true;
    };
    /** The tag to render. */
    tag: {
        type: PropType<string | Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions, {}, any>>;
        default: string;
    };
}, {
    rootRef: Ref<HTMLElement | undefined>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /** The item data. Used to set the scroll identifier. */
    item: {
        type: PropType<Identifiable<string | number>>;
        required: true;
    };
    /** The tag to render. */
    tag: {
        type: PropType<string | Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions, {}, any>>;
        default: string;
    };
}>>, {
    tag: string | Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions, {}, any>;
}, {}>;
export default _default;
//# sourceMappingURL=main-scroll-item.vue?vue&type=script&lang.d.ts.map