import type { XEventsTypes } from '../../../wiring';
/**
 * The `ScrollToTop` component is a button that the user can click to make a container scroll
 * up to its initial position.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /**
     * Animation to use for showing/hiding the button.
     *
     * @public
     */
    animation: {
        type: (StringConstructor | ObjectConstructor | FunctionConstructor)[];
        default: () => import("vue").DefineComponent<{}, {}, any, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}, {}>;
    };
    /**
     * Threshold in pixels from the top to show the button.
     *
     * @public
     */
    thresholdPx: NumberConstructor;
    /**
     * Id of the target scroll component.
     *
     * @public
     */
    scrollId: {
        type: StringConstructor;
        default: string;
    };
}, {
    events: import("vue").ComputedRef<Partial<XEventsTypes>>;
    isVisible: import("vue").ComputedRef<boolean>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * Animation to use for showing/hiding the button.
     *
     * @public
     */
    animation: {
        type: (StringConstructor | ObjectConstructor | FunctionConstructor)[];
        default: () => import("vue").DefineComponent<{}, {}, any, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}, {}>;
    };
    /**
     * Threshold in pixels from the top to show the button.
     *
     * @public
     */
    thresholdPx: NumberConstructor;
    /**
     * Id of the target scroll component.
     *
     * @public
     */
    scrollId: {
        type: StringConstructor;
        default: string;
    };
}>>, {
    animation: string | Function | Record<string, any>;
    scrollId: string;
}, {}>;
export default _default;
//# sourceMappingURL=scroll-to-top.vue?vue&type=script&lang.d.ts.map