import type { VueCSSClasses } from '../../../utils/types';
/**
 * This component renders a button to submit the query.
 *
 * @remarks
 * If query is not empty, it emits {@link XEventsTypes.UserAcceptedAQuery} and
 * {@link SearchBoxXEvents.UserPressedSearchButton} events with the query as payload.
 * It also adds `x-search-button--has-empty-query` as class when there is no query.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{}, {
    dynamicClasses: import("vue").ComputedRef<VueCSSClasses>;
    buttonRef: import("vue").Ref<HTMLElement | null>;
    emitEvents: () => void;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}, {}>;
export default _default;
//# sourceMappingURL=search-button.vue?vue&type=script&lang.d.ts.map