import type { AnyWire } from '../../wiring/wiring.types';
/**
 * SearchBox wiring.
 *
 * @internal
 */
export declare const searchBoxWiring: {
    ParamsLoadedFromUrl: {
        setUrlParams: import("../../wiring/wiring.types").Wire<import("../..").UrlParams>;
        transitionState: import("../../wiring/wiring.types").Wire<any>;
    };
    UserIsTypingAQuery: {
        setSearchBoxQuery: import("../../wiring/wiring.types").Wire<string>;
        transitionState: AnyWire;
    };
    UserAcceptedAQuery: {
        setSearchBoxQuery: import("../../wiring/wiring.types").Wire<string>;
        transitionState: AnyWire;
    };
    UserAcceptedAQueryPreview: {
        setSearchBoxQueryFromPreview: AnyWire;
        transitionState: AnyWire;
    };
    UserPressedClearSearchBoxButton: {
        clearSearchBoxQuery: AnyWire;
    };
    UserClickedCloseX: {
        clearSearchBoxQuery: AnyWire;
    };
    UserClickedOutOfMainModal: {
        clearSearchBoxQuery: AnyWire;
    };
    UserClearedQuery: {
        transitionState: AnyWire;
    };
    UserFocusedSearchBox: {
        transitionState: AnyWire;
    };
    UserBlurredSearchBox: {
        transitionState: AnyWire;
    };
};
//# sourceMappingURL=wiring.d.ts.map