/**
 * It renders a list of partial results from {@link SearchState.partialResults} by default.
 * It also provides the partial result slot to customize the item with the partial result bound.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{
    /**
     * Animation component that will be used to animate the partial results.
     *
     * @public
     */
    animation: {
        type: (StringConstructor | ObjectConstructor | FunctionConstructor)[];
        default: string;
    };
    /**
     * Maximum number of partial results to show.
     *
     * @public
     */
    maxItemsToRender: {
        type: NumberConstructor;
        default: number;
    };
}, {
    partialResults: import("vue").ComputedRef<import("@empathyco/x-types").PartialResult[]>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * Animation component that will be used to animate the partial results.
     *
     * @public
     */
    animation: {
        type: (StringConstructor | ObjectConstructor | FunctionConstructor)[];
        default: string;
    };
    /**
     * Maximum number of partial results to show.
     *
     * @public
     */
    maxItemsToRender: {
        type: NumberConstructor;
        default: number;
    };
}>>, {
    animation: string | Function | Record<string, any>;
    maxItemsToRender: number;
}, {}>;
export default _default;
//# sourceMappingURL=partial-results-list.vue?vue&type=script&lang.d.ts.map