/**
 * The `Spellcheck` component allows to inform the user with a friendly message that he
 * might have misspelled the search query. This message can be set using the default slot
 * of the component, which gives access to the searched query using the `query` scope property,
 * and the spellchecked query proposal, using the `spellcheckedQuery` scope property.
 *
 * The component will only render itself if the `spellcheckedQuery` property has value.
 *
 * @public
 */
declare const _default: import("vue").DefineComponent<{}, {
    query: import("vue").ComputedRef<string>;
    spellcheckedQuery: import("vue").ComputedRef<string>;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}, {}>;
export default _default;
//# sourceMappingURL=spellcheck.vue?vue&type=script&lang.d.ts.map