import type { XModule } from '../x-modules.types';
import type { TaggingXStoreModule } from './store/types';
/**
 * Tagging {@link XModule} alias.
 *
 * @public
 */
export type TaggingXModule = XModule<TaggingXStoreModule>;
/**
 * Tagging {@link XModule} implementation. This module is auto-registered as soon as you
 * import any component from the `empathize` entry point.
 *
 * @public
 */
export declare const taggingXModule: TaggingXModule;
//# sourceMappingURL=x-module.d.ts.map